package b4a.atoms;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.atoms", "b4a.atoms.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.atoms", "b4a.atoms.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.atoms.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.Timer _timer1 = null;
public static anywheresoftware.b4a.objects.Timer _timercr = null;
public static b4a.atoms.keyvaluestore _kvs = null;
public static anywheresoftware.b4a.objects.MediaPlayerWrapper _mp = null;
public static String[][] _settings = null;
public static String[][] _settings2 = null;
public static int _version = 0;
public static int _listflag = 0;
public anywheresoftware.b4a.phone.Phone.PhoneVibrate _vibrate = null;
public anywheresoftware.b4a.objects.ButtonWrapper[][] _buttons = null;
public anywheresoftware.b4a.objects.ButtonWrapper _compstart = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnmenu = null;
public anywheresoftware.b4a.objects.ButtonWrapper _listback = null;
public static String[][] _buttonviews = null;
public static String[][] _dummyviews = null;
public static String[] _highscore = null;
public anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _img0 = null;
public anywheresoftware.b4a.objects.PanelWrapper _aboutpanel = null;
public anywheresoftware.b4a.objects.ListViewWrapper _settingsview = null;
public com.rootsoft.bitmaplibrary.BitmapLibrary _btmpex = null;
public anywheresoftware.b4a.objects.LabelWrapper _win = null;
public anywheresoftware.b4a.objects.LabelWrapper _lose = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbltitle = null;
public anywheresoftware.b4a.objects.LabelWrapper _label1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label2 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _background = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _vred = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _hred = null;
public static int _width = 0;
public static int _height = 0;
public static int _gameon = 0;
public static int _datastore_flag = 0;
public static int _setvibrate = 0;
public static int _setexplosion = 0;
public static int _setxhair = 0;
public static float _setsound = 0f;
public static int _explode_flag = 0;
public static int _computer_flag = 0;
public static int _redexists = 0;
public static int _redfirsttime = 0;
public static int _greenexists = 0;
public static int _dummyplode_flag = 0;
public static int _veto = 0;
public static int _delaych = 0;
public b4a.atoms.statemanager _statemanager = null;
public b4a.atoms.helpactiv _helpactiv = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
vis = vis | (helpactiv.mostCurrent != null);
return vis;}
public static String  _about_click() throws Exception{
 //BA.debugLineNum = 1079;BA.debugLine="Sub about_click";
 //BA.debugLineNum = 1080;BA.debugLine="If Settings(0,2) = 0 Then Vibrate.Vibrate (50)";
if ((_settings[(int) (0)][(int) (2)]).equals(BA.NumberToString(0))) { 
mostCurrent._vibrate.Vibrate(processBA,(long) (50));};
 //BA.debugLineNum = 1081;BA.debugLine="aboutPanel.left = 0";
mostCurrent._aboutpanel.setLeft((int) (0));
 //BA.debugLineNum = 1082;BA.debugLine="aboutPanel.Top = 0";
mostCurrent._aboutpanel.setTop((int) (0));
 //BA.debugLineNum = 1083;BA.debugLine="aboutPanel.width = 100%x";
mostCurrent._aboutpanel.setWidth(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA));
 //BA.debugLineNum = 1084;BA.debugLine="aboutPanel.height = 100%y";
mostCurrent._aboutpanel.setHeight(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA));
 //BA.debugLineNum = 1085;BA.debugLine="Label1.Text = \"Developed By\" & CRLF & \"Lyndon Ber";
mostCurrent._label1.setText((Object)("Developed By"+anywheresoftware.b4a.keywords.Common.CRLF+"Lyndon Bermoy"+anywheresoftware.b4a.keywords.Common.CRLF+"Using B4A"+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF+"donbermoy@engineer.com"));
 //BA.debugLineNum = 1088;BA.debugLine="aboutPanel.BringToFront";
mostCurrent._aboutpanel.BringToFront();
 //BA.debugLineNum = 1089;BA.debugLine="End Sub";
return "";
}
public static String  _aboutpanel_click() throws Exception{
 //BA.debugLineNum = 1091;BA.debugLine="Sub aboutpanel_click";
 //BA.debugLineNum = 1092;BA.debugLine="If Settings(0,2) = 0 Then Vibrate.Vibrate (50)";
if ((_settings[(int) (0)][(int) (2)]).equals(BA.NumberToString(0))) { 
mostCurrent._vibrate.Vibrate(processBA,(long) (50));};
 //BA.debugLineNum = 1093;BA.debugLine="If Settings(1,2) = 1 Then";
if ((_settings[(int) (1)][(int) (2)]).equals(BA.NumberToString(1))) { 
 //BA.debugLineNum = 1094;BA.debugLine="MP.Stop";
_mp.Stop();
 //BA.debugLineNum = 1095;BA.debugLine="MP.Load(File.DirAssets,\"pop.mp3\")";
_mp.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"pop.mp3");
 //BA.debugLineNum = 1096;BA.debugLine="MP.Play";
_mp.Play();
 };
 //BA.debugLineNum = 1098;BA.debugLine="aboutPanel.left = 800dip";
mostCurrent._aboutpanel.setLeft(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (800)));
 //BA.debugLineNum = 1099;BA.debugLine="End Sub";
return "";
}
public static String  _activity_create(boolean _firsttime) throws Exception{
anywheresoftware.b4a.objects.ConcreteViewWrapper _v = null;
anywheresoftware.b4j.object.JavaObject _jo = null;
int _x = 0;
int _y = 0;
anywheresoftware.b4a.objects.ButtonWrapper _btn = null;
 //BA.debugLineNum = 45;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 48;BA.debugLine="Activity.LoadLayout(\"Portrait\")";
mostCurrent._activity.LoadLayout("Portrait",mostCurrent.activityBA);
 //BA.debugLineNum = 50;BA.debugLine="width = 12.5%x";
_width = anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (12.5),mostCurrent.activityBA);
 //BA.debugLineNum = 51;BA.debugLine="height = width";
_height = _width;
 //BA.debugLineNum = 52;BA.debugLine="Img0.Initialize ( File.DirAssets , \"Img0.png\")";
mostCurrent._img0.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img0.png");
 //BA.debugLineNum = 53;BA.debugLine="Timer1.Initialize(\"Timer1\", 40) 		' 40 = 40ms";
_timer1.Initialize(processBA,"Timer1",(long) (40));
 //BA.debugLineNum = 55;BA.debugLine="For Each v As View In Activity.GetAllViewsRecursi";
_v = new anywheresoftware.b4a.objects.ConcreteViewWrapper();
final anywheresoftware.b4a.BA.IterableList group28 = mostCurrent._activity.GetAllViewsRecursive();
final int groupLen28 = group28.getSize();
for (int index28 = 0;index28 < groupLen28 ;index28++){
_v.setObject((android.view.View)(group28.Get(index28)));
 //BA.debugLineNum = 56;BA.debugLine="If v Is Button Then";
if (_v.getObjectOrNull() instanceof android.widget.Button) { 
 //BA.debugLineNum = 57;BA.debugLine="Dim jo As JavaObject = v";
_jo = new anywheresoftware.b4j.object.JavaObject();
_jo.setObject((java.lang.Object)(_v.getObject()));
 //BA.debugLineNum = 58;BA.debugLine="jo.RunMethod(\"setPadding\", Array As Object(0,";
_jo.RunMethod("setPadding",new Object[]{(Object)(0),(Object)(0),(Object)(0),(Object)(0)});
 };
 //BA.debugLineNum = 60;BA.debugLine="If v Is EditText Then";
if (_v.getObjectOrNull() instanceof android.widget.EditText) { 
 //BA.debugLineNum = 61;BA.debugLine="Dim jo As JavaObject = v";
_jo = new anywheresoftware.b4j.object.JavaObject();
_jo.setObject((java.lang.Object)(_v.getObject()));
 //BA.debugLineNum = 62;BA.debugLine="jo.RunMethod(\"setPadding\", Array As Object(";
_jo.RunMethod("setPadding",new Object[]{(Object)(0),(Object)(0),(Object)(0),(Object)(0)});
 };
 //BA.debugLineNum = 64;BA.debugLine="If v Is Label Then";
if (_v.getObjectOrNull() instanceof android.widget.TextView) { 
 //BA.debugLineNum = 65;BA.debugLine="Dim jo As JavaObject = v";
_jo = new anywheresoftware.b4j.object.JavaObject();
_jo.setObject((java.lang.Object)(_v.getObject()));
 //BA.debugLineNum = 66;BA.debugLine="jo.RunMethod(\"setPadding\", Array As Object(";
_jo.RunMethod("setPadding",new Object[]{(Object)(0),(Object)(0),(Object)(0),(Object)(0)});
 };
 }
;
 //BA.debugLineNum = 69;BA.debugLine="DataStore_Flag = 1";
_datastore_flag = (int) (1);
 //BA.debugLineNum = 70;BA.debugLine="SettingsView.Initialize(\"SettingsView\")";
mostCurrent._settingsview.Initialize(mostCurrent.activityBA,"SettingsView");
 //BA.debugLineNum = 73;BA.debugLine="Settings(0,0) = \"Vibrate is Maximum\"";
_settings[(int) (0)][(int) (0)] = "Vibrate is Maximum";
 //BA.debugLineNum = 74;BA.debugLine="Settings(0,1) = \"Vibrate is Medium\"";
_settings[(int) (0)][(int) (1)] = "Vibrate is Medium";
 //BA.debugLineNum = 75;BA.debugLine="Settings(0,2) = \"Vibrate is Minimum\"";
_settings[(int) (0)][(int) (2)] = "Vibrate is Minimum";
 //BA.debugLineNum = 76;BA.debugLine="Settings(0,3) = \"0\"";
_settings[(int) (0)][(int) (3)] = "0";
 //BA.debugLineNum = 77;BA.debugLine="Settings(1,0) = \"Sound is Maximum\"";
_settings[(int) (1)][(int) (0)] = "Sound is Maximum";
 //BA.debugLineNum = 78;BA.debugLine="Settings(1,1) = \"Sound is Medium\"";
_settings[(int) (1)][(int) (1)] = "Sound is Medium";
 //BA.debugLineNum = 79;BA.debugLine="Settings(1,2) = \"Sound is Minimum\"";
_settings[(int) (1)][(int) (2)] = "Sound is Minimum";
 //BA.debugLineNum = 80;BA.debugLine="Settings(1,3) = \"0\"";
_settings[(int) (1)][(int) (3)] = "0";
 //BA.debugLineNum = 81;BA.debugLine="Settings(2,0) = \"Cross Hairs are Maximum\"";
_settings[(int) (2)][(int) (0)] = "Cross Hairs are Maximum";
 //BA.debugLineNum = 82;BA.debugLine="Settings(2,1) = \"Cross Hairs are Medium\"";
_settings[(int) (2)][(int) (1)] = "Cross Hairs are Medium";
 //BA.debugLineNum = 83;BA.debugLine="Settings(2,2) = \"Cross Hairs are Minimum\"";
_settings[(int) (2)][(int) (2)] = "Cross Hairs are Minimum";
 //BA.debugLineNum = 84;BA.debugLine="Settings(2,3) = \"0\"";
_settings[(int) (2)][(int) (3)] = "0";
 //BA.debugLineNum = 85;BA.debugLine="Settings(3,0) = \"Explosions Instant\"";
_settings[(int) (3)][(int) (0)] = "Explosions Instant";
 //BA.debugLineNum = 86;BA.debugLine="Settings(3,1) = \"Explosions Sequential\"";
_settings[(int) (3)][(int) (1)] = "Explosions Sequential";
 //BA.debugLineNum = 87;BA.debugLine="Settings(3,2) = \"\"";
_settings[(int) (3)][(int) (2)] = "";
 //BA.debugLineNum = 88;BA.debugLine="Settings(3,3) = \"0\"";
_settings[(int) (3)][(int) (3)] = "0";
 //BA.debugLineNum = 90;BA.debugLine="If FirstTime Then";
if (_firsttime) { 
 //BA.debugLineNum = 91;BA.debugLine="MP.Initialize2(\"MP\")";
_mp.Initialize2(processBA,"MP");
 //BA.debugLineNum = 92;BA.debugLine="MP.Load(File.DirAssets,\"pop.mp3\")";
_mp.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"pop.mp3");
 //BA.debugLineNum = 93;BA.debugLine="btmpex.Initialize(\"BitmapExtended\")";
mostCurrent._btmpex.Initialize(processBA,"BitmapExtended");
 //BA.debugLineNum = 95;BA.debugLine="If File.Exists(File.DirDefaultExternal, \"datasto";
if (anywheresoftware.b4a.keywords.Common.File.Exists(anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal(),"datastore")) { 
_datastore_flag = (int) (1);}
else {
_datastore_flag = (int) (0);};
 //BA.debugLineNum = 96;BA.debugLine="kvs.Initialize(File.DirDefaultExternal, \"datasto";
_kvs._initialize(processBA,anywheresoftware.b4a.keywords.Common.File.getDirDefaultExternal(),"datastore");
 //BA.debugLineNum = 97;BA.debugLine="If DataStore_Flag = 0 Then";
if (_datastore_flag==0) { 
 //BA.debugLineNum = 98;BA.debugLine="For x = 0 To 7";
{
final int step67 = 1;
final int limit67 = (int) (7);
for (_x = (int) (0); (step67 > 0 && _x <= limit67) || (step67 < 0 && _x >= limit67); _x = ((int)(0 + _x + step67))) {
 //BA.debugLineNum = 99;BA.debugLine="For y = 0 To 7";
{
final int step68 = 1;
final int limit68 = (int) (7);
for (_y = (int) (0); (step68 > 0 && _y <= limit68) || (step68 < 0 && _y >= limit68); _y = ((int)(0 + _y + step68))) {
 //BA.debugLineNum = 100;BA.debugLine="ButtonViews(x, y) = 0";
mostCurrent._buttonviews[_x][_y] = BA.NumberToString(0);
 }
};
 }
};
 //BA.debugLineNum = 103;BA.debugLine="kvs.PutObject(\"ButtonViews\", ButtonViews)";
_kvs._putobject("ButtonViews",(Object)(mostCurrent._buttonviews));
 //BA.debugLineNum = 104;BA.debugLine="kvs.PutObject(\"Settings\", Settings)";
_kvs._putobject("Settings",(Object)(_settings));
 };
 //BA.debugLineNum = 108;BA.debugLine="For x = 0 To 7";
{
final int step75 = 1;
final int limit75 = (int) (7);
for (_x = (int) (0); (step75 > 0 && _x <= limit75) || (step75 < 0 && _x >= limit75); _x = ((int)(0 + _x + step75))) {
 //BA.debugLineNum = 109;BA.debugLine="For y = 0 To 7";
{
final int step76 = 1;
final int limit76 = (int) (7);
for (_y = (int) (0); (step76 > 0 && _y <= limit76) || (step76 < 0 && _y >= limit76); _y = ((int)(0 + _y + step76))) {
 //BA.debugLineNum = 110;BA.debugLine="Dim Btn As Button";
_btn = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 111;BA.debugLine="Btn.Initialize(\"button\") 			'All butt";
_btn.Initialize(mostCurrent.activityBA,"button");
 //BA.debugLineNum = 112;BA.debugLine="Btn.SetBackgroundImage(Img0)";
_btn.SetBackgroundImage((android.graphics.Bitmap)(mostCurrent._img0.getObject()));
 //BA.debugLineNum = 113;BA.debugLine="Activity.AddView(Btn, x * width, y * height, w";
mostCurrent._activity.AddView((android.view.View)(_btn.getObject()),(int) (_x*_width),(int) (_y*_height),_width,_height);
 //BA.debugLineNum = 114;BA.debugLine="Buttons(x, y) = Btn 				'store a refe";
mostCurrent._buttons[_x][_y] = _btn;
 }
};
 }
};
 //BA.debugLineNum = 118;BA.debugLine="RedExists = 1";
_redexists = (int) (1);
 //BA.debugLineNum = 119;BA.debugLine="RedFirstTime = 1";
_redfirsttime = (int) (1);
 };
 //BA.debugLineNum = 123;BA.debugLine="Activity.AddMenuItem(\"Game Play\", \"HelpSub\")";
mostCurrent._activity.AddMenuItem("Game Play","HelpSub");
 //BA.debugLineNum = 124;BA.debugLine="Activity.AddMenuItem(\"Settings\", \"SettingsMenu\")";
mostCurrent._activity.AddMenuItem("Settings","SettingsMenu");
 //BA.debugLineNum = 125;BA.debugLine="Activity.AddMenuItem(\"About\", \"About\")";
mostCurrent._activity.AddMenuItem("About","About");
 //BA.debugLineNum = 127;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
 //BA.debugLineNum = 236;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 238;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 239;BA.debugLine="If ListFlag = 1 OR aboutPanel.left = 0 Then";
if (_listflag==1 || mostCurrent._aboutpanel.getLeft()==0) { 
 //BA.debugLineNum = 240;BA.debugLine="ListBack_click";
_listback_click();
 //BA.debugLineNum = 241;BA.debugLine="aboutPanel.left = 800dip";
mostCurrent._aboutpanel.setLeft(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (800)));
 //BA.debugLineNum = 242;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 }else {
 //BA.debugLineNum = 244;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 };
 }else {
 //BA.debugLineNum = 247;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 249;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 186;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 187;BA.debugLine="kvs.PutObject(\"ButtonViews\", ButtonViews)  'Save";
_kvs._putobject("ButtonViews",(Object)(mostCurrent._buttonviews));
 //BA.debugLineNum = 188;BA.debugLine="kvs.PutObject(\"Settings\", Settings)";
_kvs._putobject("Settings",(Object)(_settings));
 //BA.debugLineNum = 191;BA.debugLine="StateManager.SetSetting (\"GameOn\",GameOn)";
mostCurrent._statemanager._setsetting(mostCurrent.activityBA,"GameOn",BA.NumberToString(_gameon));
 //BA.debugLineNum = 192;BA.debugLine="StateManager.SetSetting (\"RedExists\",RedExists)";
mostCurrent._statemanager._setsetting(mostCurrent.activityBA,"RedExists",BA.NumberToString(_redexists));
 //BA.debugLineNum = 193;BA.debugLine="StateManager.SetSetting (\"RedFirstTime\",RedFirstT";
mostCurrent._statemanager._setsetting(mostCurrent.activityBA,"RedFirstTime",BA.NumberToString(_redfirsttime));
 //BA.debugLineNum = 194;BA.debugLine="StateManager.SetSetting (\"GreenExists\",GreenExist";
mostCurrent._statemanager._setsetting(mostCurrent.activityBA,"GreenExists",BA.NumberToString(_greenexists));
 //BA.debugLineNum = 195;BA.debugLine="StateManager.SetSetting (\"Version\",Version)";
mostCurrent._statemanager._setsetting(mostCurrent.activityBA,"Version",BA.NumberToString(_version));
 //BA.debugLineNum = 196;BA.debugLine="StateManager.SaveSettings";
mostCurrent._statemanager._savesettings(mostCurrent.activityBA);
 //BA.debugLineNum = 197;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
int _imageno = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
int _x = 0;
int _y = 0;
anywheresoftware.b4a.objects.ButtonWrapper _btn = null;
int _setting = 0;
int _set = 0;
 //BA.debugLineNum = 129;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 131;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 132;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 134;BA.debugLine="ButtonViews = kvs.GetObject(\"ButtonViews\")		'Get";
mostCurrent._buttonviews = (String[][])(_kvs._getobject("ButtonViews"));
 //BA.debugLineNum = 135;BA.debugLine="Settings2  = kvs.GetObject(\"Settings\")";
_settings2 = (String[][])(_kvs._getobject("Settings"));
 //BA.debugLineNum = 136;BA.debugLine="Version = StateManager.GetSetting2(\"Version\", 0)";
_version = (int)(Double.parseDouble(mostCurrent._statemanager._getsetting2(mostCurrent.activityBA,"Version",BA.NumberToString(0))));
 //BA.debugLineNum = 137;BA.debugLine="If Version > 0 Then";
if (_version>0) { 
 //BA.debugLineNum = 138;BA.debugLine="For x = 0 To 7";
{
final int step98 = 1;
final int limit98 = (int) (7);
for (_x = (int) (0); (step98 > 0 && _x <= limit98) || (step98 < 0 && _x >= limit98); _x = ((int)(0 + _x + step98))) {
 //BA.debugLineNum = 139;BA.debugLine="For y = 0 To 7";
{
final int step99 = 1;
final int limit99 = (int) (7);
for (_y = (int) (0); (step99 > 0 && _y <= limit99) || (step99 < 0 && _y >= limit99); _y = ((int)(0 + _y + step99))) {
 //BA.debugLineNum = 140;BA.debugLine="Dim Btn As Button";
_btn = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 141;BA.debugLine="Btn.Initialize(\"button\")";
_btn.Initialize(mostCurrent.activityBA,"button");
 //BA.debugLineNum = 142;BA.debugLine="ImageNo = ButtonViews(x,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]));
 //BA.debugLineNum = 143;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 144;BA.debugLine="Btn.SetBackgroundImage(ImgX)";
_btn.SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 145;BA.debugLine="Activity.AddView(Btn, x * width, y * height, wi";
mostCurrent._activity.AddView((android.view.View)(_btn.getObject()),(int) (_x*_width),(int) (_y*_height),_width,_height);
 //BA.debugLineNum = 146;BA.debugLine="Buttons(x, y) = Btn";
mostCurrent._buttons[_x][_y] = _btn;
 }
};
 }
};
 }else {
 //BA.debugLineNum = 150;BA.debugLine="Version = 1";
_version = (int) (1);
 };
 //BA.debugLineNum = 153;BA.debugLine="If Version > 1 Then";
if (_version>1) { 
 //BA.debugLineNum = 154;BA.debugLine="For Setting = 0 To 3";
{
final int step113 = 1;
final int limit113 = (int) (3);
for (_setting = (int) (0); (step113 > 0 && _setting <= limit113) || (step113 < 0 && _setting >= limit113); _setting = ((int)(0 + _setting + step113))) {
 //BA.debugLineNum = 155;BA.debugLine="For Set = 0 To 3";
{
final int step114 = 1;
final int limit114 = (int) (3);
for (_set = (int) (0); (step114 > 0 && _set <= limit114) || (step114 < 0 && _set >= limit114); _set = ((int)(0 + _set + step114))) {
 //BA.debugLineNum = 156;BA.debugLine="Settings(Setting,Set) = Settings2(Setting,Set)";
_settings[_setting][_set] = _settings2[_setting][_set];
 }
};
 }
};
 }else {
 //BA.debugLineNum = 160;BA.debugLine="Version = 2";
_version = (int) (2);
 };
 //BA.debugLineNum = 164;BA.debugLine="StateManager.loadStateFile";
mostCurrent._statemanager._loadstatefile(mostCurrent.activityBA);
 //BA.debugLineNum = 165;BA.debugLine="GameOn = StateManager.GetSetting2(\"GameOn\", 0)";
_gameon = (int)(Double.parseDouble(mostCurrent._statemanager._getsetting2(mostCurrent.activityBA,"GameOn",BA.NumberToString(0))));
 //BA.debugLineNum = 166;BA.debugLine="RedExists = StateManager.GetSetting2(\"RedExists\",";
_redexists = (int)(Double.parseDouble(mostCurrent._statemanager._getsetting2(mostCurrent.activityBA,"RedExists",BA.NumberToString(1))));
 //BA.debugLineNum = 167;BA.debugLine="GreenExists = StateManager.GetSetting2(\"GreenExis";
_greenexists = (int)(Double.parseDouble(mostCurrent._statemanager._getsetting2(mostCurrent.activityBA,"GreenExists",BA.NumberToString(1))));
 //BA.debugLineNum = 168;BA.debugLine="RedFirstTime = StateManager.GetSetting2(\"RedFirst";
_redfirsttime = (int)(Double.parseDouble(mostCurrent._statemanager._getsetting2(mostCurrent.activityBA,"RedFirstTime",BA.NumberToString(1))));
 //BA.debugLineNum = 170;BA.debugLine="If RedFirstTime = 0 Then CompStart.SendToBack";
if (_redfirsttime==0) { 
mostCurrent._compstart.SendToBack();};
 //BA.debugLineNum = 172;BA.debugLine="If Settings(0,3) = 0 Then SetVibrate = 750";
if ((_settings[(int) (0)][(int) (3)]).equals(BA.NumberToString(0))) { 
_setvibrate = (int) (750);};
 //BA.debugLineNum = 173;BA.debugLine="If Settings(0,3) = 1 Then SetVibrate = 320";
if ((_settings[(int) (0)][(int) (3)]).equals(BA.NumberToString(1))) { 
_setvibrate = (int) (320);};
 //BA.debugLineNum = 174;BA.debugLine="If Settings(0,3) = 2 Then SetVibrate = 1";
if ((_settings[(int) (0)][(int) (3)]).equals(BA.NumberToString(2))) { 
_setvibrate = (int) (1);};
 //BA.debugLineNum = 175;BA.debugLine="If Settings(1,3) = 0 Then SetSound = 1";
if ((_settings[(int) (1)][(int) (3)]).equals(BA.NumberToString(0))) { 
_setsound = (float) (1);};
 //BA.debugLineNum = 176;BA.debugLine="If Settings(1,3) = 1 Then SetSound = 0.5";
if ((_settings[(int) (1)][(int) (3)]).equals(BA.NumberToString(1))) { 
_setsound = (float) (0.5);};
 //BA.debugLineNum = 177;BA.debugLine="If Settings(1,3) = 2 Then SetSound = 0.1";
if ((_settings[(int) (1)][(int) (3)]).equals(BA.NumberToString(2))) { 
_setsound = (float) (0.1);};
 //BA.debugLineNum = 178;BA.debugLine="SetXHair = Settings(2,3)";
_setxhair = (int)(Double.parseDouble(_settings[(int) (2)][(int) (3)]));
 //BA.debugLineNum = 179;BA.debugLine="VRed.Bitmap = LoadBitmap(File.DirAssets, \"vred\"&S";
mostCurrent._vred.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"vred"+BA.NumberToString(_setxhair)+".png").getObject()));
 //BA.debugLineNum = 180;BA.debugLine="HRed.Bitmap = LoadBitmap(File.DirAssets, \"hred\"&S";
mostCurrent._hred.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"hred"+BA.NumberToString(_setxhair)+".png").getObject()));
 //BA.debugLineNum = 181;BA.debugLine="SetExplosion = Settings(3,3)";
_setexplosion = (int)(Double.parseDouble(_settings[(int) (3)][(int) (3)]));
 //BA.debugLineNum = 184;BA.debugLine="End Sub";
return "";
}
public static String  _btnmenu_click() throws Exception{
 //BA.debugLineNum = 1075;BA.debugLine="Sub BtnMenu_click";
 //BA.debugLineNum = 1076;BA.debugLine="Activity.OpenMenu";
mostCurrent._activity.OpenMenu();
 //BA.debugLineNum = 1077;BA.debugLine="End Sub";
return "";
}
public static String  _button_click() throws Exception{
anywheresoftware.b4a.objects.ButtonWrapper _b = null;
int _x = 0;
int _y = 0;
int _imageno = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
 //BA.debugLineNum = 199;BA.debugLine="Sub Button_Click";
 //BA.debugLineNum = 201;BA.debugLine="If Explode_flag > 0 OR Computer_flag > 0 OR GameO";
if (_explode_flag>0 || _computer_flag>0 || _gameon==0) { 
if (true) return "";};
 //BA.debugLineNum = 203;BA.debugLine="Dim B As Button";
_b = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 204;BA.debugLine="Dim x, y, ImageNo As Int";
_x = 0;
_y = 0;
_imageno = 0;
 //BA.debugLineNum = 205;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 206;BA.debugLine="B = Sender";
_b.setObject((android.widget.Button)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 207;BA.debugLine="x = B.Left/width";
_x = (int) (_b.getLeft()/(double)_width);
 //BA.debugLineNum = 208;BA.debugLine="y = B.Top/width";
_y = (int) (_b.getTop()/(double)_width);
 //BA.debugLineNum = 209;BA.debugLine="CompStart.SendToBack";
mostCurrent._compstart.SendToBack();
 //BA.debugLineNum = 210;BA.debugLine="ImageNo = ButtonViews(x,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]));
 //BA.debugLineNum = 211;BA.debugLine="If ImageNo > 3  Then Return  		'Disallow Button_c";
if (_imageno>3) { 
if (true) return "";};
 //BA.debugLineNum = 213;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 214;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&\"";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 215;BA.debugLine="Buttons(x,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[_x][_y].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 216;BA.debugLine="ButtonViews(x,y) = ImageNo";
mostCurrent._buttonviews[_x][_y] = BA.NumberToString(_imageno);
 //BA.debugLineNum = 217;BA.debugLine="MP.Stop";
_mp.Stop();
 //BA.debugLineNum = 218;BA.debugLine="MP.Load(File.DirAssets,\"pop.mp3\")";
_mp.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"pop.mp3");
 //BA.debugLineNum = 219;BA.debugLine="MP.SetVolume(SetSound,SetSound)";
_mp.SetVolume(_setsound,_setsound);
 //BA.debugLineNum = 220;BA.debugLine="MP.Play";
_mp.Play();
 //BA.debugLineNum = 221;BA.debugLine="Timer1.Enabled = False				'Timer1 used to time fr";
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 223;BA.debugLine="GreenScan							'Scans board and triggers explosi";
_greenscan();
 //BA.debugLineNum = 224;BA.debugLine="WaitExplosion";
_waitexplosion();
 //BA.debugLineNum = 225;BA.debugLine="RedCheck							'Check to see if Red still exists";
_redcheck();
 //BA.debugLineNum = 226;BA.debugLine="If RedExists = 0 AND RedFirstTime = 0 Then";
if (_redexists==0 && _redfirsttime==0) { 
 //BA.debugLineNum = 227;BA.debugLine="GreenWins";
_greenwins();
 }else {
 //BA.debugLineNum = 229;BA.debugLine="RedGo							'Reds turn";
_redgo();
 //BA.debugLineNum = 230;BA.debugLine="WaitExplosion";
_waitexplosion();
 //BA.debugLineNum = 231;BA.debugLine="GreenCheck";
_greencheck();
 //BA.debugLineNum = 232;BA.debugLine="If GreenExists = 0 Then RedWins";
if (_greenexists==0) { 
_redwins();};
 };
 //BA.debugLineNum = 234;BA.debugLine="End Sub";
return "";
}
public static String  _cancelvibrate() throws Exception{
anywheresoftware.b4a.agraham.reflection.Reflection _r = null;
 //BA.debugLineNum = 297;BA.debugLine="Sub CancelVibrate";
 //BA.debugLineNum = 298;BA.debugLine="Dim r As Reflector";
_r = new anywheresoftware.b4a.agraham.reflection.Reflection();
 //BA.debugLineNum = 299;BA.debugLine="r.Target = r.GetContext";
_r.Target = (Object)(_r.GetContext(processBA));
 //BA.debugLineNum = 300;BA.debugLine="r.Target = r.RunMethod2(\"getSystemService\", \"v";
_r.Target = _r.RunMethod2("getSystemService","vibrator","java.lang.String");
 //BA.debugLineNum = 301;BA.debugLine="r.RunMethod(\"cancel\")";
_r.RunMethod("cancel");
 //BA.debugLineNum = 302;BA.debugLine="End Sub";
return "";
}
public static String  _compstart_click() throws Exception{
 //BA.debugLineNum = 516;BA.debugLine="Sub CompStart_click";
 //BA.debugLineNum = 518;BA.debugLine="RedGo";
_redgo();
 //BA.debugLineNum = 519;BA.debugLine="WIN.SendToBack";
mostCurrent._win.SendToBack();
 //BA.debugLineNum = 520;BA.debugLine="LOSE.SendToBack";
mostCurrent._lose.SendToBack();
 //BA.debugLineNum = 521;BA.debugLine="End Sub";
return "";
}
public static String  _crosshairs(String _x,String _y) throws Exception{
int _buttonchx = 0;
int _buttonchy = 0;
int _xch = 0;
int _ych = 0;
int _a = 0;
 //BA.debugLineNum = 599;BA.debugLine="Sub CrossHairs(x,y)";
 //BA.debugLineNum = 600;BA.debugLine="Dim ButtonCHX, ButtonCHY As Int";
_buttonchx = 0;
_buttonchy = 0;
 //BA.debugLineNum = 602;BA.debugLine="ButtonCHX = Buttons(x,y).Left + 6%x";
_buttonchx = (int) (mostCurrent._buttons[(int)(Double.parseDouble(_x))][(int)(Double.parseDouble(_y))].getLeft()+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (6),mostCurrent.activityBA));
 //BA.debugLineNum = 603;BA.debugLine="ButtonCHY = Buttons(x,y).Top + 6%x";
_buttonchy = (int) (mostCurrent._buttons[(int)(Double.parseDouble(_x))][(int)(Double.parseDouble(_y))].getTop()+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (6),mostCurrent.activityBA));
 //BA.debugLineNum = 604;BA.debugLine="TimerCR.Initialize(\"TimerCR\", 30)";
_timercr.Initialize(processBA,"TimerCR",(long) (30));
 //BA.debugLineNum = 605;BA.debugLine="TimerCR.Enabled = True";
_timercr.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 606;BA.debugLine="HRed.BringToFront";
mostCurrent._hred.BringToFront();
 //BA.debugLineNum = 607;BA.debugLine="VRed.BringToFront";
mostCurrent._vred.BringToFront();
 //BA.debugLineNum = 611;BA.debugLine="For xch = 0 To 19";
{
final int step511 = 1;
final int limit511 = (int) (19);
for (_xch = (int) (0); (step511 > 0 && _xch <= limit511) || (step511 < 0 && _xch >= limit511); _xch = ((int)(0 + _xch + step511))) {
 //BA.debugLineNum = 612;BA.debugLine="DelayCH = 0";
_delaych = (int) (0);
 //BA.debugLineNum = 613;BA.debugLine="Do While DelayCH = 0";
while (_delaych==0) {
 //BA.debugLineNum = 614;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 }
;
 //BA.debugLineNum = 616;BA.debugLine="VRed.Left = VRed.Left - 5%x";
mostCurrent._vred.setLeft((int) (mostCurrent._vred.getLeft()-anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (5),mostCurrent.activityBA)));
 }
};
 //BA.debugLineNum = 621;BA.debugLine="For xch = 0 To 20";
{
final int step518 = 1;
final int limit518 = (int) (20);
for (_xch = (int) (0); (step518 > 0 && _xch <= limit518) || (step518 < 0 && _xch >= limit518); _xch = ((int)(0 + _xch + step518))) {
 //BA.debugLineNum = 622;BA.debugLine="DelayCH = 0";
_delaych = (int) (0);
 //BA.debugLineNum = 623;BA.debugLine="Do While DelayCH = 0";
while (_delaych==0) {
 //BA.debugLineNum = 624;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 }
;
 //BA.debugLineNum = 626;BA.debugLine="VRed.Left = VRed.Left + 5%x";
mostCurrent._vred.setLeft((int) (mostCurrent._vred.getLeft()+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (5),mostCurrent.activityBA)));
 //BA.debugLineNum = 627;BA.debugLine="If Abs(VRed.Left - ButtonCHX) < 10%x Then";
if (anywheresoftware.b4a.keywords.Common.Abs(mostCurrent._vred.getLeft()-_buttonchx)<anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA)) { 
 //BA.debugLineNum = 628;BA.debugLine="VRed.Left = ButtonCHX";
mostCurrent._vred.setLeft(_buttonchx);
 //BA.debugLineNum = 629;BA.debugLine="Exit";
if (true) break;
 };
 }
};
 //BA.debugLineNum = 635;BA.debugLine="HRed.Top = 0%y + 95%x";
mostCurrent._hred.setTop((int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (0),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (95),mostCurrent.activityBA)));
 //BA.debugLineNum = 636;BA.debugLine="For ych = 0 To 19";
{
final int step530 = 1;
final int limit530 = (int) (19);
for (_ych = (int) (0); (step530 > 0 && _ych <= limit530) || (step530 < 0 && _ych >= limit530); _ych = ((int)(0 + _ych + step530))) {
 //BA.debugLineNum = 637;BA.debugLine="DelayCH = 0";
_delaych = (int) (0);
 //BA.debugLineNum = 638;BA.debugLine="Do While DelayCH = 0";
while (_delaych==0) {
 //BA.debugLineNum = 639;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 }
;
 //BA.debugLineNum = 641;BA.debugLine="HRed.top = HRed.top - 5%x";
mostCurrent._hred.setTop((int) (mostCurrent._hred.getTop()-anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (5),mostCurrent.activityBA)));
 }
};
 //BA.debugLineNum = 645;BA.debugLine="For ych = 0 To 20";
{
final int step537 = 1;
final int limit537 = (int) (20);
for (_ych = (int) (0); (step537 > 0 && _ych <= limit537) || (step537 < 0 && _ych >= limit537); _ych = ((int)(0 + _ych + step537))) {
 //BA.debugLineNum = 646;BA.debugLine="DelayCH = 0";
_delaych = (int) (0);
 //BA.debugLineNum = 647;BA.debugLine="Do While DelayCH = 0";
while (_delaych==0) {
 //BA.debugLineNum = 648;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 }
;
 //BA.debugLineNum = 650;BA.debugLine="HRed.top = HRed.top + 5%x";
mostCurrent._hred.setTop((int) (mostCurrent._hred.getTop()+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (5),mostCurrent.activityBA)));
 //BA.debugLineNum = 651;BA.debugLine="If Abs(HRed.top - ButtonCHY) < 10%x Then";
if (anywheresoftware.b4a.keywords.Common.Abs(mostCurrent._hred.getTop()-_buttonchy)<anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA)) { 
 //BA.debugLineNum = 652;BA.debugLine="HRed.top = ButtonCHY";
mostCurrent._hred.setTop(_buttonchy);
 //BA.debugLineNum = 653;BA.debugLine="Exit";
if (true) break;
 };
 }
};
 //BA.debugLineNum = 657;BA.debugLine="For A = 1 To 25";
{
final int step548 = 1;
final int limit548 = (int) (25);
for (_a = (int) (1); (step548 > 0 && _a <= limit548) || (step548 < 0 && _a >= limit548); _a = ((int)(0 + _a + step548))) {
 //BA.debugLineNum = 658;BA.debugLine="DelayCH = 0";
_delaych = (int) (0);
 //BA.debugLineNum = 659;BA.debugLine="Do While DelayCH = 0";
while (_delaych==0) {
 //BA.debugLineNum = 660;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 }
;
 }
};
 //BA.debugLineNum = 664;BA.debugLine="HRed.Top = 100%y";
mostCurrent._hred.setTop(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA));
 //BA.debugLineNum = 665;BA.debugLine="VRed.Left = 100%x";
mostCurrent._vred.setLeft(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA));
 //BA.debugLineNum = 666;BA.debugLine="End Sub";
return "";
}
public static String  _dummy_click() throws Exception{
int _imageno = 0;
int _greencount1 = 0;
int _greencount2 = 0;
int _x = 0;
int _y = 0;
int _x1 = 0;
int _y1 = 0;
 //BA.debugLineNum = 826;BA.debugLine="Sub Dummy_click";
 //BA.debugLineNum = 828;BA.debugLine="Dim ImageNo, GreenCount1, GreenCount2 As Int";
_imageno = 0;
_greencount1 = 0;
_greencount2 = 0;
 //BA.debugLineNum = 829;BA.debugLine="HighScore(0) = 0";
mostCurrent._highscore[(int) (0)] = BA.NumberToString(0);
 //BA.debugLineNum = 830;BA.debugLine="HighScore(1) = 0";
mostCurrent._highscore[(int) (1)] = BA.NumberToString(0);
 //BA.debugLineNum = 831;BA.debugLine="HighScore(2) = 0";
mostCurrent._highscore[(int) (2)] = BA.NumberToString(0);
 //BA.debugLineNum = 832;BA.debugLine="GreenCount1 = 0";
_greencount1 = (int) (0);
 //BA.debugLineNum = 835;BA.debugLine="For x = 0 To 7";
{
final int step710 = 1;
final int limit710 = (int) (7);
for (_x = (int) (0); (step710 > 0 && _x <= limit710) || (step710 < 0 && _x >= limit710); _x = ((int)(0 + _x + step710))) {
 //BA.debugLineNum = 836;BA.debugLine="For y = 0 To 7";
{
final int step711 = 1;
final int limit711 = (int) (7);
for (_y = (int) (0); (step711 > 0 && _y <= limit711) || (step711 < 0 && _y >= limit711); _y = ((int)(0 + _y + step711))) {
 //BA.debugLineNum = 837;BA.debugLine="DummyViews(x,y) = ButtonViews(x,y)";
mostCurrent._dummyviews[_x][_y] = mostCurrent._buttonviews[_x][_y];
 }
};
 }
};
 //BA.debugLineNum = 842;BA.debugLine="For x = 0 To 7";
{
final int step715 = 1;
final int limit715 = (int) (7);
for (_x = (int) (0); (step715 > 0 && _x <= limit715) || (step715 < 0 && _x >= limit715); _x = ((int)(0 + _x + step715))) {
 //BA.debugLineNum = 843;BA.debugLine="For y = 0 To 7";
{
final int step716 = 1;
final int limit716 = (int) (7);
for (_y = (int) (0); (step716 > 0 && _y <= limit716) || (step716 < 0 && _y >= limit716); _y = ((int)(0 + _y + step716))) {
 //BA.debugLineNum = 844;BA.debugLine="If DummyViews(x,y) < 5 Then GreenCount1 = Green";
if ((double)(Double.parseDouble(mostCurrent._dummyviews[_x][_y]))<5) { 
_greencount1 = (int) (_greencount1+(double)(Double.parseDouble(mostCurrent._dummyviews[_x][_y])));};
 }
};
 }
};
 //BA.debugLineNum = 849;BA.debugLine="For x = 0 To 7";
{
final int step720 = 1;
final int limit720 = (int) (7);
for (_x = (int) (0); (step720 > 0 && _x <= limit720) || (step720 < 0 && _x >= limit720); _x = ((int)(0 + _x + step720))) {
 //BA.debugLineNum = 850;BA.debugLine="For y = 0 To 7";
{
final int step721 = 1;
final int limit721 = (int) (7);
for (_y = (int) (0); (step721 > 0 && _y <= limit721) || (step721 < 0 && _y >= limit721); _y = ((int)(0 + _y + step721))) {
 //BA.debugLineNum = 851;BA.debugLine="ImageNo = DummyViews(x,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._dummyviews[_x][_y]));
 //BA.debugLineNum = 852;BA.debugLine="If ImageNo  = 7 Then";
if (_imageno==7) { 
 //BA.debugLineNum = 853;BA.debugLine="ImageNo = 8";
_imageno = (int) (8);
 //BA.debugLineNum = 854;BA.debugLine="DummyViews(x,y) = 8";
mostCurrent._dummyviews[_x][_y] = BA.NumberToString(8);
 //BA.debugLineNum = 855;BA.debugLine="GreenCheck";
_greencheck();
 //BA.debugLineNum = 856;BA.debugLine="DummyScan";
_dummyscan();
 //BA.debugLineNum = 859;BA.debugLine="GreenCount2 = 0";
_greencount2 = (int) (0);
 //BA.debugLineNum = 860;BA.debugLine="For x1 = 0 To 7";
{
final int step729 = 1;
final int limit729 = (int) (7);
for (_x1 = (int) (0); (step729 > 0 && _x1 <= limit729) || (step729 < 0 && _x1 >= limit729); _x1 = ((int)(0 + _x1 + step729))) {
 //BA.debugLineNum = 861;BA.debugLine="For y1 = 0 To 7";
{
final int step730 = 1;
final int limit730 = (int) (7);
for (_y1 = (int) (0); (step730 > 0 && _y1 <= limit730) || (step730 < 0 && _y1 >= limit730); _y1 = ((int)(0 + _y1 + step730))) {
 //BA.debugLineNum = 862;BA.debugLine="If DummyViews(x1,y1) < 5 Then GreenCount2 =";
if ((double)(Double.parseDouble(mostCurrent._dummyviews[_x1][_y1]))<5) { 
_greencount2 = (int) (_greencount2+(double)(Double.parseDouble(mostCurrent._dummyviews[_x1][_y1])));};
 }
};
 }
};
 //BA.debugLineNum = 867;BA.debugLine="If GreenCount1 - GreenCount2 > HighScore(2) Th";
if (_greencount1-_greencount2>(double)(Double.parseDouble(mostCurrent._highscore[(int) (2)]))) { 
 //BA.debugLineNum = 868;BA.debugLine="HighScore(0) = x";
mostCurrent._highscore[(int) (0)] = BA.NumberToString(_x);
 //BA.debugLineNum = 869;BA.debugLine="HighScore(1) = y";
mostCurrent._highscore[(int) (1)] = BA.NumberToString(_y);
 //BA.debugLineNum = 870;BA.debugLine="HighScore(2) = GreenCount1 - GreenCount2";
mostCurrent._highscore[(int) (2)] = BA.NumberToString(_greencount1-_greencount2);
 };
 };
 //BA.debugLineNum = 875;BA.debugLine="For x1 = 0 To 7";
{
final int step740 = 1;
final int limit740 = (int) (7);
for (_x1 = (int) (0); (step740 > 0 && _x1 <= limit740) || (step740 < 0 && _x1 >= limit740); _x1 = ((int)(0 + _x1 + step740))) {
 //BA.debugLineNum = 876;BA.debugLine="For y1 = 0 To 7";
{
final int step741 = 1;
final int limit741 = (int) (7);
for (_y1 = (int) (0); (step741 > 0 && _y1 <= limit741) || (step741 < 0 && _y1 >= limit741); _y1 = ((int)(0 + _y1 + step741))) {
 //BA.debugLineNum = 877;BA.debugLine="DummyViews(x1,y1) = ButtonViews(x1,y1)";
mostCurrent._dummyviews[_x1][_y1] = mostCurrent._buttonviews[_x1][_y1];
 }
};
 }
};
 }
};
 }
};
 //BA.debugLineNum = 883;BA.debugLine="End Sub";
return "";
}
public static String  _dummydownupdate(String _x,String _y) throws Exception{
int _imageno = 0;
 //BA.debugLineNum = 958;BA.debugLine="Sub DummyDownUpdate(x,y)";
 //BA.debugLineNum = 959;BA.debugLine="If GreenExists = 0 Then Return";
if (_greenexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 960;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 961;BA.debugLine="ImageNo = DummyViews(x,y+1)";
_imageno = (int)(Double.parseDouble(mostCurrent._dummyviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)]));
 //BA.debugLineNum = 962;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 963;BA.debugLine="ImageNo = ImageNo + 5";
_imageno = (int) (_imageno+5);
 //BA.debugLineNum = 964;BA.debugLine="If ImageNo = 8 Then Dummyplode_flag = 1";
if (_imageno==8) { 
_dummyplode_flag = (int) (1);};
 //BA.debugLineNum = 965;BA.debugLine="DummyViews(x,y+1) = ImageNo";
mostCurrent._dummyviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 967;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 968;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 969;BA.debugLine="ImageNo = Min(ImageNo,8)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,8));
 //BA.debugLineNum = 970;BA.debugLine="If ImageNo = 8 Then Dummyplode_flag = 1";
if (_imageno==8) { 
_dummyplode_flag = (int) (1);};
 //BA.debugLineNum = 971;BA.debugLine="DummyViews(x,y+1) = ImageNo";
mostCurrent._dummyviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 973;BA.debugLine="End Sub";
return "";
}
public static String  _dummyleftupdate(String _x,String _y) throws Exception{
int _imageno = 0;
 //BA.debugLineNum = 907;BA.debugLine="Sub DummyLeftUpdate(x,y)";
 //BA.debugLineNum = 908;BA.debugLine="If GreenExists = 0 Then Return";
if (_greenexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 909;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 910;BA.debugLine="ImageNo = DummyViews(x-1,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._dummyviews[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))]));
 //BA.debugLineNum = 911;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 912;BA.debugLine="ImageNo = ImageNo + 5";
_imageno = (int) (_imageno+5);
 //BA.debugLineNum = 913;BA.debugLine="If ImageNo = 8 Then Dummyplode_flag = 1";
if (_imageno==8) { 
_dummyplode_flag = (int) (1);};
 //BA.debugLineNum = 914;BA.debugLine="DummyViews(x-1,y) = ImageNo";
mostCurrent._dummyviews[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 916;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 917;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 918;BA.debugLine="ImageNo = Min(ImageNo,8)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,8));
 //BA.debugLineNum = 919;BA.debugLine="If ImageNo = 8 Then Dummyplode_flag = 1";
if (_imageno==8) { 
_dummyplode_flag = (int) (1);};
 //BA.debugLineNum = 920;BA.debugLine="DummyViews(x-1,y) = ImageNo";
mostCurrent._dummyviews[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 922;BA.debugLine="End Sub";
return "";
}
public static String  _dummyrightupdate(String _x,String _y) throws Exception{
int _imageno = 0;
 //BA.debugLineNum = 924;BA.debugLine="Sub DummyRightUpdate(x,y)";
 //BA.debugLineNum = 925;BA.debugLine="If GreenExists = 0 Then Return";
if (_greenexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 926;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 927;BA.debugLine="ImageNo = DummyViews(x+1,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._dummyviews[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))]));
 //BA.debugLineNum = 928;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 929;BA.debugLine="ImageNo = ImageNo + 5";
_imageno = (int) (_imageno+5);
 //BA.debugLineNum = 930;BA.debugLine="If ImageNo = 8 Then Dummyplode_flag = 1";
if (_imageno==8) { 
_dummyplode_flag = (int) (1);};
 //BA.debugLineNum = 931;BA.debugLine="DummyViews(x+1,y) = ImageNo";
mostCurrent._dummyviews[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 933;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 934;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 935;BA.debugLine="ImageNo = Min(ImageNo,8)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,8));
 //BA.debugLineNum = 936;BA.debugLine="If ImageNo = 8 Then Dummyplode_flag = 1";
if (_imageno==8) { 
_dummyplode_flag = (int) (1);};
 //BA.debugLineNum = 937;BA.debugLine="DummyViews(x+1,y) = ImageNo";
mostCurrent._dummyviews[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 939;BA.debugLine="End Sub";
return "";
}
public static String  _dummyscan() throws Exception{
int _imageno = 0;
int _x = 0;
int _y = 0;
 //BA.debugLineNum = 885;BA.debugLine="Sub DummyScan";
 //BA.debugLineNum = 886;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 887;BA.debugLine="Dummyplode_flag = 1";
_dummyplode_flag = (int) (1);
 //BA.debugLineNum = 888;BA.debugLine="Do While Dummyplode_flag = 1";
while (_dummyplode_flag==1) {
 //BA.debugLineNum = 889;BA.debugLine="Dummyplode_flag = 0";
_dummyplode_flag = (int) (0);
 //BA.debugLineNum = 890;BA.debugLine="For x = 0 To 7";
{
final int step753 = 1;
final int limit753 = (int) (7);
for (_x = (int) (0); (step753 > 0 && _x <= limit753) || (step753 < 0 && _x >= limit753); _x = ((int)(0 + _x + step753))) {
 //BA.debugLineNum = 891;BA.debugLine="For y = 0 To 7";
{
final int step754 = 1;
final int limit754 = (int) (7);
for (_y = (int) (0); (step754 > 0 && _y <= limit754) || (step754 < 0 && _y >= limit754); _y = ((int)(0 + _y + step754))) {
 //BA.debugLineNum = 892;BA.debugLine="ImageNo = DummyViews(x,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._dummyviews[_x][_y]));
 //BA.debugLineNum = 893;BA.debugLine="If ImageNo  = 8 Then";
if (_imageno==8) { 
 //BA.debugLineNum = 894;BA.debugLine="If x > 0 Then DummyLeftUpdate(x,y)";
if (_x>0) { 
_dummyleftupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 895;BA.debugLine="If x < 7 Then DummyRightUpdate(x,y)";
if (_x<7) { 
_dummyrightupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 896;BA.debugLine="If y > 0 Then DummyUpUpdate(x,y)";
if (_y>0) { 
_dummyupupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 897;BA.debugLine="If y < 7 Then DummyDownUpdate(x,y)";
if (_y<7) { 
_dummydownupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 898;BA.debugLine="ImageNo  = 9";
_imageno = (int) (9);
 //BA.debugLineNum = 899;BA.debugLine="DummyViews(x,y) = 9";
mostCurrent._dummyviews[_x][_y] = BA.NumberToString(9);
 };
 }
};
 }
};
 }
;
 //BA.debugLineNum = 905;BA.debugLine="End Sub";
return "";
}
public static String  _dummyupupdate(String _x,String _y) throws Exception{
int _imageno = 0;
 //BA.debugLineNum = 941;BA.debugLine="Sub DummyUpUpdate(x,y)";
 //BA.debugLineNum = 942;BA.debugLine="If GreenExists = 0 Then Return";
if (_greenexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 943;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 944;BA.debugLine="ImageNo = DummyViews(x,y-1)";
_imageno = (int)(Double.parseDouble(mostCurrent._dummyviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)]));
 //BA.debugLineNum = 945;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 946;BA.debugLine="ImageNo = ImageNo + 5";
_imageno = (int) (_imageno+5);
 //BA.debugLineNum = 947;BA.debugLine="If ImageNo = 8 Then Dummyplode_flag = 1";
if (_imageno==8) { 
_dummyplode_flag = (int) (1);};
 //BA.debugLineNum = 948;BA.debugLine="DummyViews(x,y-1) = ImageNo";
mostCurrent._dummyviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 950;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 951;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 952;BA.debugLine="ImageNo = Min(ImageNo,8)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,8));
 //BA.debugLineNum = 953;BA.debugLine="If ImageNo = 8 Then Dummyplode_flag = 1";
if (_imageno==8) { 
_dummyplode_flag = (int) (1);};
 //BA.debugLineNum = 954;BA.debugLine="DummyViews(x,y-1) = ImageNo";
mostCurrent._dummyviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 956;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
statemanager._process_globals();
helpactiv._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 26;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 29;BA.debugLine="Dim Vibrate As PhoneVibrate 	' For phone vibratio";
mostCurrent._vibrate = new anywheresoftware.b4a.phone.Phone.PhoneVibrate();
 //BA.debugLineNum = 30;BA.debugLine="Dim Buttons(8, 8), CompStart, BtnMenu, ListBack A";
mostCurrent._buttons = new anywheresoftware.b4a.objects.ButtonWrapper[(int) (8)][];
{
int d0 = mostCurrent._buttons.length;
int d1 = (int) (8);
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._buttons[i0] = new anywheresoftware.b4a.objects.ButtonWrapper[d1];
for (int i1 = 0;i1 < d1;i1++) {
mostCurrent._buttons[i0][i1] = new anywheresoftware.b4a.objects.ButtonWrapper();
}
}
}
;
mostCurrent._compstart = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._btnmenu = new anywheresoftware.b4a.objects.ButtonWrapper();
mostCurrent._listback = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Dim ButtonViews(8,8), DummyViews(8,8), HighScore(";
mostCurrent._buttonviews = new String[(int) (8)][];
{
int d0 = mostCurrent._buttonviews.length;
int d1 = (int) (8);
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._buttonviews[i0] = new String[d1];
java.util.Arrays.fill(mostCurrent._buttonviews[i0],"");
}
}
;
mostCurrent._dummyviews = new String[(int) (8)][];
{
int d0 = mostCurrent._dummyviews.length;
int d1 = (int) (8);
for (int i0 = 0;i0 < d0;i0++) {
mostCurrent._dummyviews[i0] = new String[d1];
java.util.Arrays.fill(mostCurrent._dummyviews[i0],"");
}
}
;
mostCurrent._highscore = new String[(int) (3)];
java.util.Arrays.fill(mostCurrent._highscore,"");
 //BA.debugLineNum = 32;BA.debugLine="Dim Img0 As Bitmap";
mostCurrent._img0 = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Dim aboutPanel As Panel";
mostCurrent._aboutpanel = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Dim SettingsView As ListView";
mostCurrent._settingsview = new anywheresoftware.b4a.objects.ListViewWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Dim btmpex As BitmapExtended";
mostCurrent._btmpex = new com.rootsoft.bitmaplibrary.BitmapLibrary();
 //BA.debugLineNum = 36;BA.debugLine="Dim WIN, LOSE, lblTitle, Label1, Label2 As Label";
mostCurrent._win = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._lose = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._lbltitle = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._label1 = new anywheresoftware.b4a.objects.LabelWrapper();
mostCurrent._label2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Dim Background, VRed, HRed  As ImageView";
mostCurrent._background = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._vred = new anywheresoftware.b4a.objects.ImageViewWrapper();
mostCurrent._hred = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 38;BA.debugLine="Dim width, height, GameOn, DataStore_Flag, SetVib";
_width = 0;
_height = 0;
_gameon = 0;
_datastore_flag = 0;
_setvibrate = 0;
_setexplosion = 0;
_setxhair = 0;
 //BA.debugLineNum = 39;BA.debugLine="Dim SetSound As Float";
_setsound = 0f;
 //BA.debugLineNum = 42;BA.debugLine="Dim Explode_flag, Computer_flag,  RedExists, RedF";
_explode_flag = 0;
_computer_flag = 0;
_redexists = 0;
_redfirsttime = 0;
_greenexists = 0;
_dummyplode_flag = 0;
_veto = 0;
_delaych = 0;
 //BA.debugLineNum = 43;BA.debugLine="End Sub";
return "";
}
public static String  _greencheck() throws Exception{
int _x = 0;
int _y = 0;
 //BA.debugLineNum = 470;BA.debugLine="Sub GreenCheck";
 //BA.debugLineNum = 471;BA.debugLine="GreenExists = 0";
_greenexists = (int) (0);
 //BA.debugLineNum = 472;BA.debugLine="For x = 0 To 7";
{
final int step394 = 1;
final int limit394 = (int) (7);
for (_x = (int) (0); (step394 > 0 && _x <= limit394) || (step394 < 0 && _x >= limit394); _x = ((int)(0 + _x + step394))) {
 //BA.debugLineNum = 473;BA.debugLine="For y = 0 To 7";
{
final int step395 = 1;
final int limit395 = (int) (7);
for (_y = (int) (0); (step395 > 0 && _y <= limit395) || (step395 < 0 && _y >= limit395); _y = ((int)(0 + _y + step395))) {
 //BA.debugLineNum = 474;BA.debugLine="If ButtonViews(x, y) > 0 AND ButtonViews(x, y)";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]))>0 && (double)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]))<5) { 
 //BA.debugLineNum = 475;BA.debugLine="GreenExists = 1";
_greenexists = (int) (1);
 //BA.debugLineNum = 476;BA.debugLine="Exit";
if (true) break;
 };
 }
};
 //BA.debugLineNum = 479;BA.debugLine="If GreenExists = 1 Then Exit";
if (_greenexists==1) { 
if (true) break;};
 }
};
 //BA.debugLineNum = 481;BA.debugLine="End Sub";
return "";
}
public static String  _greendownupdate(String _x,String _y) throws Exception{
int _imageno = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
 //BA.debugLineNum = 448;BA.debugLine="Sub GreenDownUpdate(x,y)";
 //BA.debugLineNum = 449;BA.debugLine="If RedExists = 0 Then Return";
if (_redexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 450;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 451;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 452;BA.debugLine="ImageNo = ButtonViews(x,y+1)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)]));
 //BA.debugLineNum = 453;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 454;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 455;BA.debugLine="If ImageNo = 4 Then Explode_flag = 1";
if (_imageno==4) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 456;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 457;BA.debugLine="Buttons(x,y+1).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 458;BA.debugLine="ButtonViews(x,y+1) = ImageNo";
mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 460;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 461;BA.debugLine="ImageNo = ImageNo - 3";
_imageno = (int) (_imageno-3);
 //BA.debugLineNum = 462;BA.debugLine="ImageNo = Min(ImageNo,4)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,4));
 //BA.debugLineNum = 463;BA.debugLine="If ImageNo = 4 Then Explode_flag = 1";
if (_imageno==4) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 464;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 465;BA.debugLine="Buttons(x,y+1).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 466;BA.debugLine="ButtonViews(x,y+1) = ImageNo";
mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 468;BA.debugLine="End Sub";
return "";
}
public static String  _greenleftupdate(String _x,String _y) throws Exception{
int _imageno = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
 //BA.debugLineNum = 382;BA.debugLine="Sub GreenLeftUpdate(x,y)";
 //BA.debugLineNum = 383;BA.debugLine="If RedExists = 0 Then Return";
if (_redexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 384;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 385;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 386;BA.debugLine="ImageNo = ButtonViews(x-1,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))]));
 //BA.debugLineNum = 387;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 388;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 389;BA.debugLine="If ImageNo = 4 Then Explode_flag = 1";
if (_imageno==4) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 390;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 391;BA.debugLine="Buttons(x-1,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 392;BA.debugLine="ButtonViews(x-1,y) = ImageNo";
mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 394;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 395;BA.debugLine="ImageNo = ImageNo - 3";
_imageno = (int) (_imageno-3);
 //BA.debugLineNum = 396;BA.debugLine="ImageNo = Min(ImageNo,4)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,4));
 //BA.debugLineNum = 397;BA.debugLine="If ImageNo = 4 Then Explode_flag = 1";
if (_imageno==4) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 398;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 399;BA.debugLine="Buttons(x-1,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 400;BA.debugLine="ButtonViews(x-1,y) = ImageNo";
mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 402;BA.debugLine="End Sub";
return "";
}
public static String  _greenrightupdate(String _x,String _y) throws Exception{
int _imageno = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
 //BA.debugLineNum = 404;BA.debugLine="Sub GreenRightUpdate(x,y)";
 //BA.debugLineNum = 405;BA.debugLine="If RedExists = 0 Then Return";
if (_redexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 406;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 407;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 408;BA.debugLine="ImageNo = ButtonViews(x+1,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))]));
 //BA.debugLineNum = 409;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 410;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 411;BA.debugLine="If ImageNo = 4 Then Explode_flag = 1";
if (_imageno==4) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 412;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 413;BA.debugLine="Buttons(x+1,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 414;BA.debugLine="ButtonViews(x+1,y) = ImageNo";
mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 416;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 417;BA.debugLine="ImageNo = ImageNo - 3";
_imageno = (int) (_imageno-3);
 //BA.debugLineNum = 418;BA.debugLine="ImageNo = Min(ImageNo,4)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,4));
 //BA.debugLineNum = 419;BA.debugLine="If ImageNo = 4 Then Explode_flag = 1";
if (_imageno==4) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 420;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 421;BA.debugLine="Buttons(x+1,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 422;BA.debugLine="ButtonViews(x+1,y) = ImageNo";
mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 424;BA.debugLine="End Sub";
return "";
}
public static String  _greenscan() throws Exception{
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
int _imageno = 0;
int _x = 0;
int _y = 0;
anywheresoftware.b4a.objects.ButtonWrapper _btn = null;
 //BA.debugLineNum = 354;BA.debugLine="Sub GreenScan";
 //BA.debugLineNum = 355;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 356;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 357;BA.debugLine="Explode_flag = 1";
_explode_flag = (int) (1);
 //BA.debugLineNum = 358;BA.debugLine="Do While Explode_flag = 1";
while (_explode_flag==1) {
 //BA.debugLineNum = 359;BA.debugLine="Explode_flag = 0";
_explode_flag = (int) (0);
 //BA.debugLineNum = 360;BA.debugLine="For x = 0 To 7";
{
final int step289 = 1;
final int limit289 = (int) (7);
for (_x = (int) (0); (step289 > 0 && _x <= limit289) || (step289 < 0 && _x >= limit289); _x = ((int)(0 + _x + step289))) {
 //BA.debugLineNum = 361;BA.debugLine="For y = 0 To 7";
{
final int step290 = 1;
final int limit290 = (int) (7);
for (_y = (int) (0); (step290 > 0 && _y <= limit290) || (step290 < 0 && _y >= limit290); _y = ((int)(0 + _y + step290))) {
 //BA.debugLineNum = 362;BA.debugLine="Dim Btn As Button";
_btn = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 363;BA.debugLine="Btn.Initialize(\"button\")";
_btn.Initialize(mostCurrent.activityBA,"button");
 //BA.debugLineNum = 364;BA.debugLine="ImageNo = ButtonViews(x,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]));
 //BA.debugLineNum = 365;BA.debugLine="If ImageNo  = 4 Then				'If green has four bom";
if (_imageno==4) { 
 //BA.debugLineNum = 366;BA.debugLine="If x > 0 Then GreenLeftUpdate(x,y)";
if (_x>0) { 
_greenleftupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 367;BA.debugLine="If x < 7 Then GreenRightUpdate(x,y)";
if (_x<7) { 
_greenrightupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 368;BA.debugLine="If y > 0 Then GreenUpUpdate(x,y)";
if (_y>0) { 
_greenupupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 369;BA.debugLine="If y < 7 Then GreenDownUpdate(x,y)";
if (_y<7) { 
_greendownupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 372;BA.debugLine="ButtonViews(x,y) = 9";
mostCurrent._buttonviews[_x][_y] = BA.NumberToString(9);
 //BA.debugLineNum = 373;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&Image";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 374;BA.debugLine="Buttons(x,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[_x][_y].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 };
 //BA.debugLineNum = 376;BA.debugLine="If ButtonViews(x,y) > 8 Then Timer1.Enabled =";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]))>8) { 
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.True);};
 }
};
 }
};
 }
;
 //BA.debugLineNum = 380;BA.debugLine="End Sub";
return "";
}
public static String  _greenupupdate(String _x,String _y) throws Exception{
int _imageno = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
 //BA.debugLineNum = 426;BA.debugLine="Sub GreenUpUpdate(x,y)";
 //BA.debugLineNum = 427;BA.debugLine="If RedExists = 0 Then Return";
if (_redexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 428;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 429;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 430;BA.debugLine="ImageNo = ButtonViews(x,y-1)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)]));
 //BA.debugLineNum = 431;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 432;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 433;BA.debugLine="If ImageNo = 4 Then Explode_flag = 1";
if (_imageno==4) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 434;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 435;BA.debugLine="Buttons(x,y-1).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 436;BA.debugLine="ButtonViews(x,y-1) = ImageNo";
mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 438;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 439;BA.debugLine="ImageNo = ImageNo - 3";
_imageno = (int) (_imageno-3);
 //BA.debugLineNum = 440;BA.debugLine="ImageNo = Min(ImageNo,4)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,4));
 //BA.debugLineNum = 441;BA.debugLine="If ImageNo = 4 Then Explode_flag = 1";
if (_imageno==4) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 442;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 443;BA.debugLine="Buttons(x,y-1).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 444;BA.debugLine="ButtonViews(x,y-1) = ImageNo";
mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 446;BA.debugLine="End Sub";
return "";
}
public static String  _greenwins() throws Exception{
int _t = 0;
 //BA.debugLineNum = 483;BA.debugLine="Sub GreenWins";
 //BA.debugLineNum = 484;BA.debugLine="GameOn = 0";
_gameon = (int) (0);
 //BA.debugLineNum = 485;BA.debugLine="RedFirstTime = 1";
_redfirsttime = (int) (1);
 //BA.debugLineNum = 486;BA.debugLine="CompStart.BringToFront";
mostCurrent._compstart.BringToFront();
 //BA.debugLineNum = 488;BA.debugLine="MP.Stop";
_mp.Stop();
 //BA.debugLineNum = 489;BA.debugLine="MP.Load(File.DirAssets,\"Ta Da.mp3\")";
_mp.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Ta Da.mp3");
 //BA.debugLineNum = 490;BA.debugLine="MP.SetVolume(1,1)";
_mp.SetVolume((float) (1),(float) (1));
 //BA.debugLineNum = 491;BA.debugLine="MP.Play";
_mp.Play();
 //BA.debugLineNum = 493;BA.debugLine="WIN.BringToFront";
mostCurrent._win.BringToFront();
 //BA.debugLineNum = 494;BA.debugLine="TimerCR.Initialize(\"TimerCR\", 50)";
_timercr.Initialize(processBA,"TimerCR",(long) (50));
 //BA.debugLineNum = 495;BA.debugLine="TimerCR.Enabled = True";
_timercr.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 496;BA.debugLine="For t = 1 To 30 Step 2";
{
final int step415 = (int) (2);
final int limit415 = (int) (30);
for (_t = (int) (1); (step415 > 0 && _t <= limit415) || (step415 < 0 && _t >= limit415); _t = ((int)(0 + _t + step415))) {
 //BA.debugLineNum = 497;BA.debugLine="WIN.TextSize = t";
mostCurrent._win.setTextSize((float) (_t));
 //BA.debugLineNum = 498;BA.debugLine="WIN.TextColor = Colors.Yellow";
mostCurrent._win.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
 //BA.debugLineNum = 499;BA.debugLine="DelayCH = 0";
_delaych = (int) (0);
 //BA.debugLineNum = 500;BA.debugLine="Do While DelayCH = 0";
while (_delaych==0) {
 //BA.debugLineNum = 501;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 }
;
 }
};
 //BA.debugLineNum = 504;BA.debugLine="For t = 32 To 61 Step 5";
{
final int step423 = (int) (5);
final int limit423 = (int) (61);
for (_t = (int) (32); (step423 > 0 && _t <= limit423) || (step423 < 0 && _t >= limit423); _t = ((int)(0 + _t + step423))) {
 //BA.debugLineNum = 505;BA.debugLine="WIN.TextSize = t";
mostCurrent._win.setTextSize((float) (_t));
 //BA.debugLineNum = 506;BA.debugLine="WIN.TextColor = Colors.Red";
mostCurrent._win.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
 //BA.debugLineNum = 507;BA.debugLine="DelayCH = 0";
_delaych = (int) (0);
 //BA.debugLineNum = 508;BA.debugLine="Do While DelayCH = 0";
while (_delaych==0) {
 //BA.debugLineNum = 509;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 }
;
 }
};
 //BA.debugLineNum = 512;BA.debugLine="WIN.TextSize = 60";
mostCurrent._win.setTextSize((float) (60));
 //BA.debugLineNum = 513;BA.debugLine="WIN.TextColor = Colors.Black";
mostCurrent._win.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 //BA.debugLineNum = 514;BA.debugLine="End Sub";
return "";
}
public static String  _helpsub_click() throws Exception{
 //BA.debugLineNum = 1101;BA.debugLine="Sub HelpSub_Click";
 //BA.debugLineNum = 1102;BA.debugLine="If Settings(0,2) = 0 Then Vibrate.Vibrate (50)";
if ((_settings[(int) (0)][(int) (2)]).equals(BA.NumberToString(0))) { 
mostCurrent._vibrate.Vibrate(processBA,(long) (50));};
 //BA.debugLineNum = 1103;BA.debugLine="If Settings(1,2) = 1 Then";
if ((_settings[(int) (1)][(int) (2)]).equals(BA.NumberToString(1))) { 
 //BA.debugLineNum = 1104;BA.debugLine="MP.Stop";
_mp.Stop();
 //BA.debugLineNum = 1105;BA.debugLine="MP.Load(File.DirAssets,\"pop.mp3\")";
_mp.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"pop.mp3");
 //BA.debugLineNum = 1106;BA.debugLine="MP.Play";
_mp.Play();
 };
 //BA.debugLineNum = 1108;BA.debugLine="StartActivity(HelpActiv)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._helpactiv.getObject()));
 //BA.debugLineNum = 1109;BA.debugLine="End Sub";
return "";
}
public static String  _listback_click() throws Exception{
 //BA.debugLineNum = 251;BA.debugLine="Sub ListBack_click";
 //BA.debugLineNum = 252;BA.debugLine="If Settings(0,2) = 0 Then Vibrate.Vibrate (50)";
if ((_settings[(int) (0)][(int) (2)]).equals(BA.NumberToString(0))) { 
mostCurrent._vibrate.Vibrate(processBA,(long) (50));};
 //BA.debugLineNum = 253;BA.debugLine="If Settings(1,2) = 1 Then";
if ((_settings[(int) (1)][(int) (2)]).equals(BA.NumberToString(1))) { 
 //BA.debugLineNum = 254;BA.debugLine="MP.Stop";
_mp.Stop();
 //BA.debugLineNum = 255;BA.debugLine="MP.Load(File.DirAssets,\"pop.mp3\")";
_mp.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"pop.mp3");
 //BA.debugLineNum = 256;BA.debugLine="MP.Play";
_mp.Play();
 };
 //BA.debugLineNum = 258;BA.debugLine="ListFlag = 0";
_listflag = (int) (0);
 //BA.debugLineNum = 259;BA.debugLine="SettingsView.RemoveView";
mostCurrent._settingsview.RemoveView();
 //BA.debugLineNum = 260;BA.debugLine="ListBack.Top = lblTitle.Top";
mostCurrent._listback.setTop(mostCurrent._lbltitle.getTop());
 //BA.debugLineNum = 261;BA.debugLine="lblTitle.SendToBack";
mostCurrent._lbltitle.SendToBack();
 //BA.debugLineNum = 262;BA.debugLine="ListBack.SendToBack";
mostCurrent._listback.SendToBack();
 //BA.debugLineNum = 263;BA.debugLine="End Sub";
return "";
}
public static String  _newgame_click() throws Exception{
int _x = 0;
int _y = 0;
 //BA.debugLineNum = 989;BA.debugLine="Sub NewGame_click";
 //BA.debugLineNum = 990;BA.debugLine="GameOn = 1";
_gameon = (int) (1);
 //BA.debugLineNum = 991;BA.debugLine="RedExists = 1";
_redexists = (int) (1);
 //BA.debugLineNum = 992;BA.debugLine="RedFirstTime = 1";
_redfirsttime = (int) (1);
 //BA.debugLineNum = 993;BA.debugLine="CompStart.BringToFront";
mostCurrent._compstart.BringToFront();
 //BA.debugLineNum = 994;BA.debugLine="WIN.SendToBack";
mostCurrent._win.SendToBack();
 //BA.debugLineNum = 995;BA.debugLine="LOSE.SendToBack";
mostCurrent._lose.SendToBack();
 //BA.debugLineNum = 996;BA.debugLine="For x = 0 To 7";
{
final int step851 = 1;
final int limit851 = (int) (7);
for (_x = (int) (0); (step851 > 0 && _x <= limit851) || (step851 < 0 && _x >= limit851); _x = ((int)(0 + _x + step851))) {
 //BA.debugLineNum = 997;BA.debugLine="For y = 0 To 7";
{
final int step852 = 1;
final int limit852 = (int) (7);
for (_y = (int) (0); (step852 > 0 && _y <= limit852) || (step852 < 0 && _y >= limit852); _y = ((int)(0 + _y + step852))) {
 //BA.debugLineNum = 998;BA.debugLine="ButtonViews(x, y) = 0";
mostCurrent._buttonviews[_x][_y] = BA.NumberToString(0);
 //BA.debugLineNum = 999;BA.debugLine="Buttons(x,y).SetBackgroundImage(Img0)";
mostCurrent._buttons[_x][_y].SetBackgroundImage((android.graphics.Bitmap)(mostCurrent._img0.getObject()));
 }
};
 }
};
 //BA.debugLineNum = 1002;BA.debugLine="End Sub";
return "";
}
public static String  _nextbest() throws Exception{
int _best = 0;
int _xn = 0;
int _yn = 0;
 //BA.debugLineNum = 790;BA.debugLine="Sub NextBest";
 //BA.debugLineNum = 791;BA.debugLine="Dim Best As Int";
_best = 0;
 //BA.debugLineNum = 792;BA.debugLine="For xn = 0 To 7";
{
final int step671 = 1;
final int limit671 = (int) (7);
for (_xn = (int) (0); (step671 > 0 && _xn <= limit671) || (step671 < 0 && _xn >= limit671); _xn = ((int)(0 + _xn + step671))) {
 //BA.debugLineNum = 793;BA.debugLine="For yn = 0 To 7";
{
final int step672 = 1;
final int limit672 = (int) (7);
for (_yn = (int) (0); (step672 > 0 && _yn <= limit672) || (step672 < 0 && _yn >= limit672); _yn = ((int)(0 + _yn + step672))) {
 //BA.debugLineNum = 794;BA.debugLine="If ButtonViews(xn,yn) > 4 Then";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_xn][_yn]))>4) { 
 //BA.debugLineNum = 795;BA.debugLine="Veto = 0";
_veto = (int) (0);
 //BA.debugLineNum = 796;BA.debugLine="Best = 0";
_best = (int) (0);
 //BA.debugLineNum = 797;BA.debugLine="If xn > 0 Then";
if (_xn>0) { 
 //BA.debugLineNum = 798;BA.debugLine="If ButtonViews(xn-1,yn) <= ButtonViews(xn,yn)";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[(int) (_xn-1)][_yn]))<=(double)(Double.parseDouble(mostCurrent._buttonviews[_xn][_yn]))-4) { 
_best = (int) (anywheresoftware.b4a.keywords.Common.Max((double)(Double.parseDouble(mostCurrent._buttonviews[(int) (_xn-1)][_yn])),_best));};
 //BA.debugLineNum = 799;BA.debugLine="If ButtonViews(xn-1,yn) < 5 AND ButtonViews(x";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[(int) (_xn-1)][_yn]))<5 && (double)(Double.parseDouble(mostCurrent._buttonviews[(int) (_xn-1)][_yn]))>(double)(Double.parseDouble(mostCurrent._buttonviews[_xn][_yn]))-4) { 
_veto = (int) (1);};
 };
 //BA.debugLineNum = 801;BA.debugLine="If xn < 7 Then";
if (_xn<7) { 
 //BA.debugLineNum = 802;BA.debugLine="If ButtonViews(xn+1,yn) <= ButtonViews(xn,yn)";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[(int) (_xn+1)][_yn]))<=(double)(Double.parseDouble(mostCurrent._buttonviews[_xn][_yn]))-4) { 
_best = (int) (anywheresoftware.b4a.keywords.Common.Max((double)(Double.parseDouble(mostCurrent._buttonviews[(int) (_xn+1)][_yn])),_best));};
 //BA.debugLineNum = 803;BA.debugLine="If ButtonViews(xn+1,yn) < 5 AND ButtonViews(x";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[(int) (_xn+1)][_yn]))<5 && (double)(Double.parseDouble(mostCurrent._buttonviews[(int) (_xn+1)][_yn]))>(double)(Double.parseDouble(mostCurrent._buttonviews[_xn][_yn]))-4) { 
_veto = (int) (1);};
 };
 //BA.debugLineNum = 805;BA.debugLine="If yn > 0 Then";
if (_yn>0) { 
 //BA.debugLineNum = 806;BA.debugLine="If ButtonViews(xn,yn-1) <= ButtonViews(xn,yn)";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_xn][(int) (_yn-1)]))<=(double)(Double.parseDouble(mostCurrent._buttonviews[_xn][_yn]))-4) { 
_best = (int) (anywheresoftware.b4a.keywords.Common.Max((double)(Double.parseDouble(mostCurrent._buttonviews[_xn][(int) (_yn-1)])),_best));};
 //BA.debugLineNum = 807;BA.debugLine="If ButtonViews(xn,yn-1) < 5 AND ButtonViews(x";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_xn][(int) (_yn-1)]))<5 && (double)(Double.parseDouble(mostCurrent._buttonviews[_xn][(int) (_yn-1)]))>(double)(Double.parseDouble(mostCurrent._buttonviews[_xn][_yn]))-4) { 
_veto = (int) (1);};
 };
 //BA.debugLineNum = 809;BA.debugLine="If yn < 7 Then";
if (_yn<7) { 
 //BA.debugLineNum = 810;BA.debugLine="If ButtonViews(xn,yn+1) <= ButtonViews(xn,yn)";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_xn][(int) (_yn+1)]))<=(double)(Double.parseDouble(mostCurrent._buttonviews[_xn][_yn]))-4) { 
_best = (int) (anywheresoftware.b4a.keywords.Common.Max((double)(Double.parseDouble(mostCurrent._buttonviews[_xn][(int) (_yn+1)])),_best));};
 //BA.debugLineNum = 811;BA.debugLine="If ButtonViews(xn,yn+1) < 5 AND ButtonViews(x";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_xn][(int) (_yn+1)]))<5 && (double)(Double.parseDouble(mostCurrent._buttonviews[_xn][(int) (_yn+1)]))>(double)(Double.parseDouble(mostCurrent._buttonviews[_xn][_yn]))-4) { 
_veto = (int) (1);};
 };
 //BA.debugLineNum = 813;BA.debugLine="If Best > HighScore(2) AND Veto = 0 Then";
if (_best>(double)(Double.parseDouble(mostCurrent._highscore[(int) (2)])) && _veto==0) { 
 //BA.debugLineNum = 814;BA.debugLine="HighScore(0) = xn";
mostCurrent._highscore[(int) (0)] = BA.NumberToString(_xn);
 //BA.debugLineNum = 815;BA.debugLine="HighScore(1) = yn";
mostCurrent._highscore[(int) (1)] = BA.NumberToString(_yn);
 //BA.debugLineNum = 816;BA.debugLine="HighScore(2) = Best";
mostCurrent._highscore[(int) (2)] = BA.NumberToString(_best);
 };
 //BA.debugLineNum = 818;BA.debugLine="Veto = 0";
_veto = (int) (0);
 };
 }
};
 }
};
 //BA.debugLineNum = 822;BA.debugLine="If HighScore(2)> 0 Then";
if ((double)(Double.parseDouble(mostCurrent._highscore[(int) (2)]))>0) { 
 };
 //BA.debugLineNum = 824;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 18;BA.debugLine="Dim Timer1, TimerCR As Timer";
_timer1 = new anywheresoftware.b4a.objects.Timer();
_timercr = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 19;BA.debugLine="Private kvs As KeyValueStore";
_kvs = new b4a.atoms.keyvaluestore();
 //BA.debugLineNum = 20;BA.debugLine="Dim MP As MediaPlayer";
_mp = new anywheresoftware.b4a.objects.MediaPlayerWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim Settings(4,4) As String		'Vibrate, Click, Hyp";
_settings = new String[(int) (4)][];
{
int d0 = _settings.length;
int d1 = (int) (4);
for (int i0 = 0;i0 < d0;i0++) {
_settings[i0] = new String[d1];
java.util.Arrays.fill(_settings[i0],"");
}
}
;
 //BA.debugLineNum = 22;BA.debugLine="Dim Settings2 (,) As String";
_settings2 = new String[(int) (0)][];
{
int d0 = _settings2.length;
int d1 = (int) (0);
for (int i0 = 0;i0 < d0;i0++) {
_settings2[i0] = new String[d1];
java.util.Arrays.fill(_settings2[i0],"");
}
}
;
 //BA.debugLineNum = 23;BA.debugLine="Dim Version, ListFlag As Int";
_version = 0;
_listflag = 0;
 //BA.debugLineNum = 24;BA.debugLine="End Sub";
return "";
}
public static String  _redcheck() throws Exception{
int _x = 0;
int _y = 0;
 //BA.debugLineNum = 304;BA.debugLine="Sub RedCheck";
 //BA.debugLineNum = 305;BA.debugLine="RedExists = 0";
_redexists = (int) (0);
 //BA.debugLineNum = 306;BA.debugLine="For x = 0 To 7";
{
final int step243 = 1;
final int limit243 = (int) (7);
for (_x = (int) (0); (step243 > 0 && _x <= limit243) || (step243 < 0 && _x >= limit243); _x = ((int)(0 + _x + step243))) {
 //BA.debugLineNum = 307;BA.debugLine="For y = 0 To 7";
{
final int step244 = 1;
final int limit244 = (int) (7);
for (_y = (int) (0); (step244 > 0 && _y <= limit244) || (step244 < 0 && _y >= limit244); _y = ((int)(0 + _y + step244))) {
 //BA.debugLineNum = 308;BA.debugLine="If ButtonViews(x, y) > 4 AND ButtonViews(x, y)";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]))>4 && (double)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]))<9) { 
 //BA.debugLineNum = 309;BA.debugLine="RedExists = 1";
_redexists = (int) (1);
 //BA.debugLineNum = 310;BA.debugLine="Exit";
if (true) break;
 };
 }
};
 //BA.debugLineNum = 313;BA.debugLine="If RedExists = 1 Then Exit";
if (_redexists==1) { 
if (true) break;};
 }
};
 //BA.debugLineNum = 315;BA.debugLine="End Sub";
return "";
}
public static String  _reddownupdate(String _x,String _y) throws Exception{
int _imageno = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
 //BA.debugLineNum = 767;BA.debugLine="Sub RedDownUpdate(x,y)";
 //BA.debugLineNum = 768;BA.debugLine="If GreenExists = 0 Then Return";
if (_greenexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 769;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 770;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 771;BA.debugLine="ImageNo = ButtonViews(x,y+1)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)]));
 //BA.debugLineNum = 773;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 774;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 775;BA.debugLine="ImageNo = Min(ImageNo,8)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,8));
 //BA.debugLineNum = 776;BA.debugLine="If ImageNo = 8 Then Explode_flag = 1";
if (_imageno==8) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 777;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 778;BA.debugLine="Buttons(x,y+1).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 779;BA.debugLine="ButtonViews(x,y+1) = ImageNo";
mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 781;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 782;BA.debugLine="ImageNo = ImageNo + 5";
_imageno = (int) (_imageno+5);
 //BA.debugLineNum = 783;BA.debugLine="If ImageNo = 8 Then Explode_flag = 1";
if (_imageno==8) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 784;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 785;BA.debugLine="Buttons(x,y+1).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 786;BA.debugLine="ButtonViews(x,y+1) = ImageNo";
mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))+1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 788;BA.debugLine="End Sub";
return "";
}
public static String  _redgo() throws Exception{
int _xr = 0;
int _yr = 0;
int _imageno = 0;
int _imagenomod = 0;
int _redsqr = 0;
int _vetocount = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
 //BA.debugLineNum = 523;BA.debugLine="Sub RedGo";
 //BA.debugLineNum = 524;BA.debugLine="Computer_flag = 1";
_computer_flag = (int) (1);
 //BA.debugLineNum = 525;BA.debugLine="RedFirstTime = 0";
_redfirsttime = (int) (0);
 //BA.debugLineNum = 526;BA.debugLine="CompStart.SendToBack";
mostCurrent._compstart.SendToBack();
 //BA.debugLineNum = 527;BA.debugLine="Dim xr, yr, ImageNo, ImageNoMOD, RedSqr, VetoCoun";
_xr = 0;
_yr = 0;
_imageno = 0;
_imagenomod = 0;
_redsqr = 0;
_vetocount = 0;
 //BA.debugLineNum = 528;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 532;BA.debugLine="Dummy_click";
_dummy_click();
 //BA.debugLineNum = 533;BA.debugLine="If HighScore(2) > 2  Then";
if ((double)(Double.parseDouble(mostCurrent._highscore[(int) (2)]))>2) { 
 //BA.debugLineNum = 534;BA.debugLine="xr = HighScore(0)";
_xr = (int)(Double.parseDouble(mostCurrent._highscore[(int) (0)]));
 //BA.debugLineNum = 535;BA.debugLine="yr = HighScore(1)";
_yr = (int)(Double.parseDouble(mostCurrent._highscore[(int) (1)]));
 };
 //BA.debugLineNum = 539;BA.debugLine="If HighScore(2) < 3 Then";
if ((double)(Double.parseDouble(mostCurrent._highscore[(int) (2)]))<3) { 
 //BA.debugLineNum = 540;BA.debugLine="NextBest";
_nextbest();
 //BA.debugLineNum = 541;BA.debugLine="xr = HighScore(0)";
_xr = (int)(Double.parseDouble(mostCurrent._highscore[(int) (0)]));
 //BA.debugLineNum = 542;BA.debugLine="yr = HighScore(1)";
_yr = (int)(Double.parseDouble(mostCurrent._highscore[(int) (1)]));
 };
 //BA.debugLineNum = 546;BA.debugLine="If HighScore(2) = 0 Then";
if ((mostCurrent._highscore[(int) (2)]).equals(BA.NumberToString(0))) { 
 //BA.debugLineNum = 547;BA.debugLine="RedSqr = 0";
_redsqr = (int) (0);
 //BA.debugLineNum = 548;BA.debugLine="VetoCount = 0";
_vetocount = (int) (0);
 //BA.debugLineNum = 549;BA.debugLine="Do While RedSqr = 0";
while (_redsqr==0) {
 //BA.debugLineNum = 550;BA.debugLine="xr = Rnd(0,8)";
_xr = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (8));
 //BA.debugLineNum = 551;BA.debugLine="yr = Rnd(0,8)";
_yr = anywheresoftware.b4a.keywords.Common.Rnd((int) (0),(int) (8));
 //BA.debugLineNum = 552;BA.debugLine="ImageNo = ButtonViews(xr,yr)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[_xr][_yr]));
 //BA.debugLineNum = 553;BA.debugLine="If ImageNo = 0 OR ImageNo > 4 Then";
if (_imageno==0 || _imageno>4) { 
 //BA.debugLineNum = 554;BA.debugLine="ImageNoMOD = ImageNo Mod 4";
_imagenomod = (int) (_imageno%4);
 //BA.debugLineNum = 556;BA.debugLine="Veto = 0";
_veto = (int) (0);
 //BA.debugLineNum = 557;BA.debugLine="If xr > 0 Then";
if (_xr>0) { 
 //BA.debugLineNum = 558;BA.debugLine="If ButtonViews(xr-1,yr) > ImageNoMOD Then Vet";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[(int) (_xr-1)][_yr]))>_imagenomod) { 
_veto = (int) (1);};
 };
 //BA.debugLineNum = 560;BA.debugLine="If xr < 7 Then";
if (_xr<7) { 
 //BA.debugLineNum = 561;BA.debugLine="If ButtonViews(xr+1,yr) > ImageNoMOD Then Vet";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[(int) (_xr+1)][_yr]))>_imagenomod) { 
_veto = (int) (1);};
 };
 //BA.debugLineNum = 563;BA.debugLine="If yr > 0 Then";
if (_yr>0) { 
 //BA.debugLineNum = 564;BA.debugLine="If ButtonViews(xr,yr-1) > ImageNoMOD Then Vet";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_xr][(int) (_yr-1)]))>_imagenomod) { 
_veto = (int) (1);};
 };
 //BA.debugLineNum = 566;BA.debugLine="If yr < 7 Then";
if (_yr<7) { 
 //BA.debugLineNum = 567;BA.debugLine="If ButtonViews(xr,yr+1) > ImageNoMOD Then Vet";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_xr][(int) (_yr+1)]))>_imagenomod) { 
_veto = (int) (1);};
 };
 //BA.debugLineNum = 569;BA.debugLine="VetoCount = VetoCount + Veto  'Limits the numb";
_vetocount = (int) (_vetocount+_veto);
 //BA.debugLineNum = 570;BA.debugLine="If VetoCount < 20 Then";
if (_vetocount<20) { 
 //BA.debugLineNum = 571;BA.debugLine="RedSqr = 1 - Veto";
_redsqr = (int) (1-_veto);
 }else {
 //BA.debugLineNum = 573;BA.debugLine="RedSqr = 1";
_redsqr = (int) (1);
 };
 //BA.debugLineNum = 575;BA.debugLine="Veto = 0";
_veto = (int) (0);
 };
 }
;
 };
 //BA.debugLineNum = 580;BA.debugLine="CrossHairs(xr,yr)						'Crosshairs show human whe";
_crosshairs(BA.NumberToString(_xr),BA.NumberToString(_yr));
 //BA.debugLineNum = 583;BA.debugLine="ImageNo = ButtonViews(xr,yr)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[_xr][_yr]));
 //BA.debugLineNum = 584;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 585;BA.debugLine="If ImageNo = 1 Then ImageNo = 5";
if (_imageno==1) { 
_imageno = (int) (5);};
 //BA.debugLineNum = 586;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&\"";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 587;BA.debugLine="Buttons(xr,yr).SetBackgroundImage(ImgX)";
mostCurrent._buttons[_xr][_yr].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 588;BA.debugLine="ButtonViews(xr,yr) = ImageNo";
mostCurrent._buttonviews[_xr][_yr] = BA.NumberToString(_imageno);
 //BA.debugLineNum = 589;BA.debugLine="MP.Stop";
_mp.Stop();
 //BA.debugLineNum = 590;BA.debugLine="MP.Load(File.DirAssets,\"pop.mp3\")";
_mp.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"pop.mp3");
 //BA.debugLineNum = 591;BA.debugLine="MP.SetVolume(SetSound,SetSound)";
_mp.SetVolume(_setsound,_setsound);
 //BA.debugLineNum = 592;BA.debugLine="MP.Play";
_mp.Play();
 //BA.debugLineNum = 593;BA.debugLine="Timer1.Enabled = False";
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 594;BA.debugLine="GreenCheck								'Checks if Green still exists";
_greencheck();
 //BA.debugLineNum = 595;BA.debugLine="RedScan";
_redscan();
 //BA.debugLineNum = 596;BA.debugLine="Computer_flag = 0";
_computer_flag = (int) (0);
 //BA.debugLineNum = 597;BA.debugLine="End Sub";
return "";
}
public static String  _redleftupdate(String _x,String _y) throws Exception{
int _imageno = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
 //BA.debugLineNum = 698;BA.debugLine="Sub RedLeftUpdate(x,y)";
 //BA.debugLineNum = 699;BA.debugLine="If GreenExists = 0 Then Return";
if (_greenexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 700;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 701;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 702;BA.debugLine="ImageNo = ButtonViews(x-1,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))]));
 //BA.debugLineNum = 704;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 705;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 706;BA.debugLine="ImageNo = Min(ImageNo,8)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,8));
 //BA.debugLineNum = 707;BA.debugLine="If ImageNo = 8 Then Explode_flag = 1";
if (_imageno==8) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 708;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 709;BA.debugLine="Buttons(x-1,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 710;BA.debugLine="ButtonViews(x-1,y) = ImageNo";
mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 712;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 713;BA.debugLine="ImageNo = ImageNo + 5";
_imageno = (int) (_imageno+5);
 //BA.debugLineNum = 714;BA.debugLine="If ImageNo = 8 Then Explode_flag = 1";
if (_imageno==8) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 715;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 716;BA.debugLine="Buttons(x-1,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 717;BA.debugLine="ButtonViews(x-1,y) = ImageNo";
mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))-1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 719;BA.debugLine="End Sub";
return "";
}
public static String  _redrightupdate(String _x,String _y) throws Exception{
int _imageno = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
 //BA.debugLineNum = 721;BA.debugLine="Sub RedRightUpdate(x,y)";
 //BA.debugLineNum = 722;BA.debugLine="If GreenExists = 0 Then Return";
if (_greenexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 723;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 724;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 725;BA.debugLine="ImageNo = ButtonViews(x+1,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))]));
 //BA.debugLineNum = 727;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 728;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 729;BA.debugLine="ImageNo = Min(ImageNo,8)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,8));
 //BA.debugLineNum = 730;BA.debugLine="If ImageNo = 8 Then Explode_flag = 1";
if (_imageno==8) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 731;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 732;BA.debugLine="Buttons(x+1,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 733;BA.debugLine="ButtonViews(x+1,y) = ImageNo";
mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 735;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 736;BA.debugLine="ImageNo = ImageNo + 5";
_imageno = (int) (_imageno+5);
 //BA.debugLineNum = 737;BA.debugLine="If ImageNo = 8 Then Explode_flag = 1";
if (_imageno==8) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 738;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 739;BA.debugLine="Buttons(x+1,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 740;BA.debugLine="ButtonViews(x+1,y) = ImageNo";
mostCurrent._buttonviews[(int) ((double)(Double.parseDouble(_x))+1)][(int)(Double.parseDouble(_y))] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 742;BA.debugLine="End Sub";
return "";
}
public static String  _redscan() throws Exception{
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
int _imageno = 0;
int _x = 0;
int _y = 0;
anywheresoftware.b4a.objects.ButtonWrapper _btn = null;
 //BA.debugLineNum = 672;BA.debugLine="Sub RedScan";
 //BA.debugLineNum = 673;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 674;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 675;BA.debugLine="Explode_flag = 1";
_explode_flag = (int) (1);
 //BA.debugLineNum = 676;BA.debugLine="Do While Explode_flag = 1";
while (_explode_flag==1) {
 //BA.debugLineNum = 677;BA.debugLine="Explode_flag = 0";
_explode_flag = (int) (0);
 //BA.debugLineNum = 678;BA.debugLine="For x = 0 To 7";
{
final int step566 = 1;
final int limit566 = (int) (7);
for (_x = (int) (0); (step566 > 0 && _x <= limit566) || (step566 < 0 && _x >= limit566); _x = ((int)(0 + _x + step566))) {
 //BA.debugLineNum = 679;BA.debugLine="For y = 0 To 7";
{
final int step567 = 1;
final int limit567 = (int) (7);
for (_y = (int) (0); (step567 > 0 && _y <= limit567) || (step567 < 0 && _y >= limit567); _y = ((int)(0 + _y + step567))) {
 //BA.debugLineNum = 680;BA.debugLine="Dim Btn As Button";
_btn = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 681;BA.debugLine="Btn.Initialize(\"button\")";
_btn.Initialize(mostCurrent.activityBA,"button");
 //BA.debugLineNum = 682;BA.debugLine="ImageNo = ButtonViews(x,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]));
 //BA.debugLineNum = 683;BA.debugLine="If ImageNo  = 8 Then";
if (_imageno==8) { 
 //BA.debugLineNum = 684;BA.debugLine="If x > 0 Then RedLeftUpdate(x,y)";
if (_x>0) { 
_redleftupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 685;BA.debugLine="If x < 7 Then RedRightUpdate(x,y)";
if (_x<7) { 
_redrightupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 686;BA.debugLine="If y > 0 Then RedUpUpdate(x,y)";
if (_y>0) { 
_redupupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 687;BA.debugLine="If y < 7 Then RedDownUpdate(x,y)";
if (_y<7) { 
_reddownupdate(BA.NumberToString(_x),BA.NumberToString(_y));};
 //BA.debugLineNum = 688;BA.debugLine="ButtonViews(x,y) = 9";
mostCurrent._buttonviews[_x][_y] = BA.NumberToString(9);
 //BA.debugLineNum = 689;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&Image";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 690;BA.debugLine="Buttons(x,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[_x][_y].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 };
 //BA.debugLineNum = 692;BA.debugLine="If ButtonViews(x,y) > 8 Then Timer1.Enabled =";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]))>8) { 
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.True);};
 }
};
 }
};
 }
;
 //BA.debugLineNum = 696;BA.debugLine="End Sub";
return "";
}
public static String  _redupupdate(String _x,String _y) throws Exception{
int _imageno = 0;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
 //BA.debugLineNum = 744;BA.debugLine="Sub RedUpUpdate(x,y)";
 //BA.debugLineNum = 745;BA.debugLine="If GreenExists = 0 Then Return";
if (_greenexists==0) { 
if (true) return "";};
 //BA.debugLineNum = 746;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 747;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 748;BA.debugLine="ImageNo = ButtonViews(x,y-1)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)]));
 //BA.debugLineNum = 750;BA.debugLine="If ImageNo > 4 AND ImageNo < 9 Then";
if (_imageno>4 && _imageno<9) { 
 //BA.debugLineNum = 751;BA.debugLine="ImageNo = ImageNo + 1";
_imageno = (int) (_imageno+1);
 //BA.debugLineNum = 752;BA.debugLine="ImageNo = Min(ImageNo,8)";
_imageno = (int) (anywheresoftware.b4a.keywords.Common.Min(_imageno,8));
 //BA.debugLineNum = 753;BA.debugLine="If ImageNo = 8 Then Explode_flag = 1";
if (_imageno==8) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 754;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 755;BA.debugLine="Buttons(x,y-1).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 756;BA.debugLine="ButtonViews(x,y-1) = ImageNo";
mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 758;BA.debugLine="If ImageNo < 4 Then";
if (_imageno<4) { 
 //BA.debugLineNum = 759;BA.debugLine="ImageNo = ImageNo + 5";
_imageno = (int) (_imageno+5);
 //BA.debugLineNum = 760;BA.debugLine="If ImageNo = 8 Then Explode_flag = 1";
if (_imageno==8) { 
_explode_flag = (int) (1);};
 //BA.debugLineNum = 761;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageNo&";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 762;BA.debugLine="Buttons(x,y-1).SetBackgroundImage(ImgX)";
mostCurrent._buttons[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 763;BA.debugLine="ButtonViews(x,y-1) = ImageNo";
mostCurrent._buttonviews[(int)(Double.parseDouble(_x))][(int) ((double)(Double.parseDouble(_y))-1)] = BA.NumberToString(_imageno);
 };
 //BA.debugLineNum = 765;BA.debugLine="End Sub";
return "";
}
public static String  _redwins() throws Exception{
int _t = 0;
 //BA.debugLineNum = 317;BA.debugLine="Sub RedWins";
 //BA.debugLineNum = 320;BA.debugLine="GameOn = 0";
_gameon = (int) (0);
 //BA.debugLineNum = 321;BA.debugLine="RedFirstTime = 1";
_redfirsttime = (int) (1);
 //BA.debugLineNum = 322;BA.debugLine="CompStart.BringToFront";
mostCurrent._compstart.BringToFront();
 //BA.debugLineNum = 323;BA.debugLine="LOSE.BringToFront";
mostCurrent._lose.BringToFront();
 //BA.debugLineNum = 326;BA.debugLine="TimerCR.Initialize(\"TimerCR\", 50)";
_timercr.Initialize(processBA,"TimerCR",(long) (50));
 //BA.debugLineNum = 327;BA.debugLine="TimerCR.Enabled = True";
_timercr.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 328;BA.debugLine="For t = 1 To 30 Step 2";
{
final int step260 = (int) (2);
final int limit260 = (int) (30);
for (_t = (int) (1); (step260 > 0 && _t <= limit260) || (step260 < 0 && _t >= limit260); _t = ((int)(0 + _t + step260))) {
 //BA.debugLineNum = 329;BA.debugLine="LOSE.TextSize = t";
mostCurrent._lose.setTextSize((float) (_t));
 //BA.debugLineNum = 330;BA.debugLine="LOSE.TextColor = Colors.Yellow";
mostCurrent._lose.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Yellow);
 //BA.debugLineNum = 331;BA.debugLine="DelayCH = 0";
_delaych = (int) (0);
 //BA.debugLineNum = 332;BA.debugLine="Do While DelayCH = 0";
while (_delaych==0) {
 //BA.debugLineNum = 333;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 }
;
 }
};
 //BA.debugLineNum = 336;BA.debugLine="For t = 30 To 61 Step 5";
{
final int step268 = (int) (5);
final int limit268 = (int) (61);
for (_t = (int) (30); (step268 > 0 && _t <= limit268) || (step268 < 0 && _t >= limit268); _t = ((int)(0 + _t + step268))) {
 //BA.debugLineNum = 337;BA.debugLine="LOSE.TextSize = t";
mostCurrent._lose.setTextSize((float) (_t));
 //BA.debugLineNum = 338;BA.debugLine="LOSE.TextColor = Colors.Red";
mostCurrent._lose.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
 //BA.debugLineNum = 339;BA.debugLine="DelayCH = 0";
_delaych = (int) (0);
 //BA.debugLineNum = 340;BA.debugLine="Do While DelayCH = 0";
while (_delaych==0) {
 //BA.debugLineNum = 341;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 }
;
 }
};
 //BA.debugLineNum = 344;BA.debugLine="LOSE.TextSize = 60";
mostCurrent._lose.setTextSize((float) (60));
 //BA.debugLineNum = 345;BA.debugLine="LOSE.TextColor = Colors.Black";
mostCurrent._lose.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 //BA.debugLineNum = 348;BA.debugLine="MP.Stop";
_mp.Stop();
 //BA.debugLineNum = 349;BA.debugLine="MP.Load(File.DirAssets,\"Ha_Ha.mp3\")";
_mp.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Ha_Ha.mp3");
 //BA.debugLineNum = 350;BA.debugLine="MP.SetVolume(1,1)";
_mp.SetVolume((float) (1),(float) (1));
 //BA.debugLineNum = 351;BA.debugLine="MP.Play";
_mp.Play();
 //BA.debugLineNum = 352;BA.debugLine="End Sub";
return "";
}
public static String  _settingsmenu_click() throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _settinglabel = null;
int _i = 0;
 //BA.debugLineNum = 1004;BA.debugLine="Sub SettingsMenu_click";
 //BA.debugLineNum = 1005;BA.debugLine="Dim SettingLabel As Label							'Set the paramete";
_settinglabel = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 1006;BA.debugLine="ListFlag = 1";
_listflag = (int) (1);
 //BA.debugLineNum = 1007;BA.debugLine="SettingLabel = SettingsView.SingleLineLayout.Labe";
_settinglabel = mostCurrent._settingsview.getSingleLineLayout().Label;
 //BA.debugLineNum = 1008;BA.debugLine="SettingLabel.TextSize = 18							'";
_settinglabel.setTextSize((float) (18));
 //BA.debugLineNum = 1009;BA.debugLine="SettingLabel.TextColor = Colors.White				'";
_settinglabel.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 1010;BA.debugLine="SettingLabel.Color = Colors.DarkGray				'";
_settinglabel.setColor(anywheresoftware.b4a.keywords.Common.Colors.DarkGray);
 //BA.debugLineNum = 1011;BA.debugLine="SettingLabel.height = 9%y  							'Label height a";
_settinglabel.setHeight(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (9),mostCurrent.activityBA));
 //BA.debugLineNum = 1012;BA.debugLine="SettingsView.SingleLineLayout.ItemHeight = Set";
mostCurrent._settingsview.getSingleLineLayout().setItemHeight(mostCurrent._settingsview.getSingleLineLayout().Label.getHeight());
 //BA.debugLineNum = 1013;BA.debugLine="SettingsView.Color = Colors.DarkGray				'ListView";
mostCurrent._settingsview.setColor(anywheresoftware.b4a.keywords.Common.Colors.DarkGray);
 //BA.debugLineNum = 1014;BA.debugLine="SettingsView.Clear									'Clear Listview before";
mostCurrent._settingsview.Clear();
 //BA.debugLineNum = 1016;BA.debugLine="For i = 0 To 3										'Builds the viewable list";
{
final int step869 = 1;
final int limit869 = (int) (3);
for (_i = (int) (0); (step869 > 0 && _i <= limit869) || (step869 < 0 && _i >= limit869); _i = ((int)(0 + _i + step869))) {
 //BA.debugLineNum = 1017;BA.debugLine="SettingsView.AddSingleLine(Settings(i,Settings(i";
mostCurrent._settingsview.AddSingleLine(_settings[_i][(int)(Double.parseDouble(_settings[_i][(int) (3)]))]);
 }
};
 //BA.debugLineNum = 1020;BA.debugLine="Activity.AddView(SettingsView, 0, 10%y, 100%x, 90";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._settingsview.getObject()),(int) (0),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (90),mostCurrent.activityBA));
 //BA.debugLineNum = 1021;BA.debugLine="lblTitle.Text = \"SETTINGS\"";
mostCurrent._lbltitle.setText((Object)("SETTINGS"));
 //BA.debugLineNum = 1022;BA.debugLine="lblTitle.BringToFront";
mostCurrent._lbltitle.BringToFront();
 //BA.debugLineNum = 1023;BA.debugLine="lblTitle.height = 10%y";
mostCurrent._lbltitle.setHeight(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 1024;BA.debugLine="lblTitle.width = 100%x";
mostCurrent._lbltitle.setWidth(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA));
 //BA.debugLineNum = 1025;BA.debugLine="ListBack.BringToFront";
mostCurrent._listback.BringToFront();
 //BA.debugLineNum = 1026;BA.debugLine="ListBack.height = 10%y";
mostCurrent._listback.setHeight(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (10),mostCurrent.activityBA));
 //BA.debugLineNum = 1028;BA.debugLine="End Sub";
return "";
}
public static String  _settingsview_itemclick(int _position,Object _value) throws Exception{
int _temp = 0;
 //BA.debugLineNum = 1030;BA.debugLine="Sub SettingsView_ItemClick (Position As Int, Value";
 //BA.debugLineNum = 1031;BA.debugLine="If Settings(0,2) = 0 Then Vibrate.Vibrate (50)";
if ((_settings[(int) (0)][(int) (2)]).equals(BA.NumberToString(0))) { 
mostCurrent._vibrate.Vibrate(processBA,(long) (50));};
 //BA.debugLineNum = 1032;BA.debugLine="If Settings(1,2) = 1 Then";
if ((_settings[(int) (1)][(int) (2)]).equals(BA.NumberToString(1))) { 
 //BA.debugLineNum = 1033;BA.debugLine="MP.Stop";
_mp.Stop();
 //BA.debugLineNum = 1034;BA.debugLine="MP.Load(File.DirAssets,\"pop.mp3\")";
_mp.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"pop.mp3");
 //BA.debugLineNum = 1035;BA.debugLine="MP.Play";
_mp.Play();
 };
 //BA.debugLineNum = 1037;BA.debugLine="Dim temp As Int";
_temp = 0;
 //BA.debugLineNum = 1038;BA.debugLine="If Position = 0 Then";
if (_position==0) { 
 //BA.debugLineNum = 1039;BA.debugLine="temp = Settings(Position,3)";
_temp = (int)(Double.parseDouble(_settings[_position][(int) (3)]));
 //BA.debugLineNum = 1040;BA.debugLine="temp = (temp + 1) Mod 3";
_temp = (int) ((_temp+1)%3);
 //BA.debugLineNum = 1041;BA.debugLine="Settings(Position,3) = temp";
_settings[_position][(int) (3)] = BA.NumberToString(_temp);
 //BA.debugLineNum = 1043;BA.debugLine="If temp = 0 Then SetVibrate = 750";
if (_temp==0) { 
_setvibrate = (int) (750);};
 //BA.debugLineNum = 1044;BA.debugLine="If temp = 1 Then SetVibrate = 320";
if (_temp==1) { 
_setvibrate = (int) (320);};
 //BA.debugLineNum = 1045;BA.debugLine="If temp = 2 Then SetVibrate = 1";
if (_temp==2) { 
_setvibrate = (int) (1);};
 }else if(_position==1) { 
 //BA.debugLineNum = 1047;BA.debugLine="temp = Settings(Position,3)";
_temp = (int)(Double.parseDouble(_settings[_position][(int) (3)]));
 //BA.debugLineNum = 1048;BA.debugLine="temp = (temp + 1) Mod 3";
_temp = (int) ((_temp+1)%3);
 //BA.debugLineNum = 1049;BA.debugLine="Settings(Position,3) = temp";
_settings[_position][(int) (3)] = BA.NumberToString(_temp);
 //BA.debugLineNum = 1051;BA.debugLine="If temp = 0 Then SetSound = 1.0";
if (_temp==0) { 
_setsound = (float) (1.0);};
 //BA.debugLineNum = 1052;BA.debugLine="If temp = 1 Then SetSound = 0.5";
if (_temp==1) { 
_setsound = (float) (0.5);};
 //BA.debugLineNum = 1053;BA.debugLine="If temp = 2 Then SetSound = 0.1";
if (_temp==2) { 
_setsound = (float) (0.1);};
 }else if(_position==2) { 
 //BA.debugLineNum = 1055;BA.debugLine="temp = Settings(Position,3)";
_temp = (int)(Double.parseDouble(_settings[_position][(int) (3)]));
 //BA.debugLineNum = 1056;BA.debugLine="temp = (temp + 1) Mod 3";
_temp = (int) ((_temp+1)%3);
 //BA.debugLineNum = 1057;BA.debugLine="Settings(Position,3) = temp";
_settings[_position][(int) (3)] = BA.NumberToString(_temp);
 //BA.debugLineNum = 1059;BA.debugLine="SetXHair = temp";
_setxhair = _temp;
 //BA.debugLineNum = 1060;BA.debugLine="VRed.Bitmap = LoadBitmap(File.DirAssets, \"vred\"&";
mostCurrent._vred.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"vred"+BA.NumberToString(_setxhair)+".png").getObject()));
 //BA.debugLineNum = 1061;BA.debugLine="HRed.Bitmap = LoadBitmap(File.DirAssets, \"hred\"&";
mostCurrent._hred.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"hred"+BA.NumberToString(_setxhair)+".png").getObject()));
 }else {
 //BA.debugLineNum = 1063;BA.debugLine="temp = Settings(Position,3)";
_temp = (int)(Double.parseDouble(_settings[_position][(int) (3)]));
 //BA.debugLineNum = 1064;BA.debugLine="temp = (temp + 1) Mod 2";
_temp = (int) ((_temp+1)%2);
 //BA.debugLineNum = 1065;BA.debugLine="Settings(Position,3) = temp";
_settings[_position][(int) (3)] = BA.NumberToString(_temp);
 //BA.debugLineNum = 1067;BA.debugLine="SetExplosion = temp";
_setexplosion = _temp;
 };
 //BA.debugLineNum = 1069;BA.debugLine="SettingsView.RemoveView						'Exit ListView.";
mostCurrent._settingsview.RemoveView();
 //BA.debugLineNum = 1070;BA.debugLine="lblTitle.SendToBack";
mostCurrent._lbltitle.SendToBack();
 //BA.debugLineNum = 1071;BA.debugLine="ListBack.SendToBack";
mostCurrent._listback.SendToBack();
 //BA.debugLineNum = 1072;BA.debugLine="SettingsMenu_click";
_settingsmenu_click();
 //BA.debugLineNum = 1073;BA.debugLine="End Sub";
return "";
}
public static String  _timer1_tick() throws Exception{
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _imgx = null;
int _imageno = 0;
int _x = 0;
int _y = 0;
anywheresoftware.b4a.objects.ButtonWrapper _btn = null;
 //BA.debugLineNum = 265;BA.debugLine="Sub Timer1_Tick";
 //BA.debugLineNum = 268;BA.debugLine="Explode_flag = 0";
_explode_flag = (int) (0);
 //BA.debugLineNum = 269;BA.debugLine="Dim ImgX As Bitmap";
_imgx = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 270;BA.debugLine="Dim ImageNo As Int";
_imageno = 0;
 //BA.debugLineNum = 271;BA.debugLine="For x = 0 To 7";
{
final int step210 = 1;
final int limit210 = (int) (7);
for (_x = (int) (0); (step210 > 0 && _x <= limit210) || (step210 < 0 && _x >= limit210); _x = ((int)(0 + _x + step210))) {
 //BA.debugLineNum = 272;BA.debugLine="For y = 0 To 7";
{
final int step211 = 1;
final int limit211 = (int) (7);
for (_y = (int) (0); (step211 > 0 && _y <= limit211) || (step211 < 0 && _y >= limit211); _y = ((int)(0 + _y + step211))) {
 //BA.debugLineNum = 273;BA.debugLine="Dim Btn As Button";
_btn = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 274;BA.debugLine="Btn.Initialize(\"button\")";
_btn.Initialize(mostCurrent.activityBA,"button");
 //BA.debugLineNum = 275;BA.debugLine="ImageNo = ButtonViews(x,y)";
_imageno = (int)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]));
 //BA.debugLineNum = 276;BA.debugLine="If ImageNo = 9 Then";
if (_imageno==9) { 
 //BA.debugLineNum = 277;BA.debugLine="MP.Stop";
_mp.Stop();
 //BA.debugLineNum = 278;BA.debugLine="MP.Load(File.DirAssets,\"explosion.mp3\")";
_mp.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"explosion.mp3");
 //BA.debugLineNum = 279;BA.debugLine="MP.SetVolume(SetSound,SetSound)";
_mp.SetVolume(_setsound,_setsound);
 //BA.debugLineNum = 280;BA.debugLine="MP.Play";
_mp.Play();
 //BA.debugLineNum = 281;BA.debugLine="CancelVibrate";
_cancelvibrate();
 //BA.debugLineNum = 282;BA.debugLine="Vibrate.Vibrate (SetVibrate)";
mostCurrent._vibrate.Vibrate(processBA,(long) (_setvibrate));
 };
 //BA.debugLineNum = 284;BA.debugLine="If ImageNo > 8  Then";
if (_imageno>8) { 
 //BA.debugLineNum = 285;BA.debugLine="ImageNo = (ImageNo + 1) Mod 28";
_imageno = (int) ((_imageno+1)%28);
 //BA.debugLineNum = 286;BA.debugLine="ButtonViews(x,y) = ImageNo";
mostCurrent._buttonviews[_x][_y] = BA.NumberToString(_imageno);
 //BA.debugLineNum = 287;BA.debugLine="ImgX.Initialize( File.DirAssets , \"Img\"&ImageN";
_imgx.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"Img"+BA.NumberToString(_imageno)+".png");
 //BA.debugLineNum = 288;BA.debugLine="Buttons(x,y).SetBackgroundImage(ImgX)";
mostCurrent._buttons[_x][_y].SetBackgroundImage((android.graphics.Bitmap)(_imgx.getObject()));
 //BA.debugLineNum = 289;BA.debugLine="Timer1.Enabled = True";
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 290;BA.debugLine="Explode_flag = 1";
_explode_flag = (int) (1);
 //BA.debugLineNum = 291;BA.debugLine="If ImageNo < 20 AND SetExplosion = 1 Then Retu";
if (_imageno<20 && _setexplosion==1) { 
if (true) return "";};
 };
 }
};
 }
};
 //BA.debugLineNum = 295;BA.debugLine="End Sub";
return "";
}
public static String  _timercr_tick() throws Exception{
 //BA.debugLineNum = 668;BA.debugLine="Sub TimerCR_tick";
 //BA.debugLineNum = 669;BA.debugLine="DelayCH = 1";
_delaych = (int) (1);
 //BA.debugLineNum = 670;BA.debugLine="End Sub";
return "";
}
public static String  _waitexplosion() throws Exception{
int _x = 0;
int _y = 0;
 //BA.debugLineNum = 975;BA.debugLine="Sub WaitExplosion";
 //BA.debugLineNum = 977;BA.debugLine="Explode_flag = 1";
_explode_flag = (int) (1);
 //BA.debugLineNum = 978;BA.debugLine="Do While Explode_flag = 1";
while (_explode_flag==1) {
 //BA.debugLineNum = 979;BA.debugLine="Explode_flag = 0";
_explode_flag = (int) (0);
 //BA.debugLineNum = 980;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 981;BA.debugLine="For x = 0 To 7";
{
final int step837 = 1;
final int limit837 = (int) (7);
for (_x = (int) (0); (step837 > 0 && _x <= limit837) || (step837 < 0 && _x >= limit837); _x = ((int)(0 + _x + step837))) {
 //BA.debugLineNum = 982;BA.debugLine="For y = 0 To 7";
{
final int step838 = 1;
final int limit838 = (int) (7);
for (_y = (int) (0); (step838 > 0 && _y <= limit838) || (step838 < 0 && _y >= limit838); _y = ((int)(0 + _y + step838))) {
 //BA.debugLineNum = 983;BA.debugLine="If ButtonViews(x, y) > 8 Then Explode_flag = 1";
if ((double)(Double.parseDouble(mostCurrent._buttonviews[_x][_y]))>8) { 
_explode_flag = (int) (1);};
 }
};
 }
};
 }
;
 //BA.debugLineNum = 987;BA.debugLine="End Sub";
return "";
}
}
